---
title: Financement et comptabilité
subtitle: Un modèle économique basé sur les dons
---

## Pourquoi les dons

Le modèle économique de TeDomum repose sur deux principes essentiels.

- Le fonctionnement des services doit être bon marché (comme indiqué dans nos orientations)
- Le financement doit être bénévole et l'utilisation des services ne doit pas y être conditionnelle.

Le premier principe assure que nous ne grandissons pas trop et donc ne centralisons pas trop. Si notre budget mensuel dépasse 250 €, il est probable soit que nous sous-employons notre infrastructure, soit que nous hébergeons trop d'utilisateurs pour garantir le respect entier de nos valeurs. Ce principe assure aussi indirectement que notre impact écologique est plafonné : le raccourci est rapide, mais moins de coûts, c'est entre autres moins de matériel et moins d'énergie.

Le second principe assure que nous maintenons une forme d'équité entre nos utilisateurs et que nous restons indépendants de nos financeurs. À l'exception des contributeurs financiers qui deviennent membres de l'association, peuvent donc voter aux assemblées générales et profitent d'avantages marginaux (quotas modérément plus élevés), un donateur n'obtient en général pas de contrepartie à son don.

Plus encore que les dons, nous mettons en avant le modèle de dons réguliers, collectés actuellement par des plateformes externes. La régularité est synonyme de stabilité : si les dons sont plus modestes, mais réguliers et nombreux, le budget mensuel est stable et la perte d'un donateur n'impacte que légèrement l'équilibre.

## Charges principales

Suite aux efforts consentis depuis notre assemblée générale 2019, le budget mensuel a été réduit à moins de 100 €. Le principal poste reste la location de nos serveurs, accompagnée de nos frais de fonctionnement.

{{% table %}}
| Compte                        | Budget mensuel               |
| ----------------------------- | ---------------------------- |
| Location de serveurs          | 50 €                         |
| Location d'adresses IP        | 9 €                          |
| Frais bancaires               | 15 €                         |
| Commissions sur les dons      | 8 €                          |
| **Total**                     | **82 €**                     |
{{% /table %}}

## Produits principaux

Les dons sont notre unique source de revenus. Ils sont principalement répartis en trois sources :

- Dons réguliers via [Tipeee](https://fr.tipeee.com/tedomum) (réguliers mensuels)
- Dons réguliers via [Liberapay](https://liberapay.com/tedomum) (ponctuels renouvelables, amortis hebdomadairement)
- Dons exceptionnels : ils ne sont pas limités à une plateforme en particulier, n'hésitez pas à nous contacter au besoin.

Nous amortissons les dons exceptionnels au budget mensuel lorsque les dons réguliers ne sont pas suffisants ; le reste des dons exceptionnels complète notre trésorerie pour l'achat futur de matériel. Le tableau ci-dessous peut n'être pas entièrement à jour, en fonction des promesses de dons récentes.

{{% table %}}
| Compte                        | Budget mensuel               |
| ----------------------------- | ---------------------------- |
| Dons Tipeee                   | 46 €                         |
| Dons Liberapay                | 70 €                         |
| Dons exceptionnels            | 0 €                          |
| **Total**                     | **116 €**                     |
{{% /table %}}

Pour finir, nous remercions nos généreux donateurs sans qui ce projet ne serait pas possible !
