---
title: Prises de décisions
---

## Instruction amont

Lorsqu'un nouveau sujet fait l'objet d'une réflexion amont, il dispose d'une issue Gitlab étiquetée « Suggestion ».
Lorsqu'un sujet existant doit faire l'objet d'une décision prochaine, ou qu'une suggestion a été suffisamment instruite pour faire l'objet d'une décision, une issue Gitlab correspondante est étiquetée « Décision ».

Sur l'issue Gitlab doivent être exprimés les points de vue et les arguments de chacun, au moins de façon synthétique. Les débats peuvent avoir lieu en parallèle sur les salons de dicussion à condition que les éléments importants ne figurent pas exclusivement sur les salons.

### Document publié en lieu et place d'une issue

Il est possible de substituer l'issue Gitlab étiquetée « Décision » par un processus de Merge Request sur un document publié sur ce dépôt de code. Le fonctionnement est identique au fonctionnement par issue.  
A la différence qu'une première Merge Request pourra être clotûrée pour publié le document qui mentionnera le status : « proposée ». Un modèle est à disposition dans la [liste des décisions](../liste-decisions/)

Par convention, les décisions seront préfixés par :

- `a-*` pour les décisions concernant notre infrastructure
- `b-*` pour les décisions concernant nos services

## Prise de décision

Lorsqu'il n'y a pas eu débat mais que l'ensemble des contributeurs est d'accord, la décision est prise et les issues closes sans plus de forme.

Lorsqu'il y a eu débat mais que les contributeurs sont arrivés à un consensus ou compris, un résumé est posé sur l'issue par l'un des contributeurs, qui fixe également une date de clotûre. Le sujet est confirmé sur les salons de discussion et idéalement sur une séance de réunion. L'issue est ensuite close.

Lorsqu'il n'y a pas encore consensus et que les arguments ont été exposés, un contributeur fixe une date pour exposer le sujet en réunion. Lors de la réunion, les arguments sont résumés, éventuellement discutés, puis soumis au vote si nécessaire. Tous les contributeurs votent, ne s'agissant pas d'une décision statutaire de l'association.

## Cas spécifiques

Par mesure de précaution, lorsqu'un contributeur identifie dans un changement envisagé un défaut pouvant porter atteinte aux valeurs de l'association (sécurité, vie privée, liberté), il l'expose et le vote peut être reporté.
De même, lorsqu'un changement envisagé corrige un défaut pouvant porter atteinte aux valeurs de l'association, même en cas de conflit, un contributeur peut proposer et mettre en œuvre des mesures conservatoires immédiates en attendant la fin des échanges.
