---
title: Réglement intérieur
---

Historique
----------

11 octobre 2013
  Création du règlement intérieur, approuvé par l'Assemblée Générale
  constituante.

27 octobre 2018
  Révision du règlement intérieur suite à la modification de la qualité de
  membre, approuvé par l'Assemblée Générale du 27 octobre 2018.

12 mars 2023
  Ajout des éléments de la charte administrateur et des information pour le
  remboursement de frais engagés par les membres, approuvé par l'Assemblée
  Générale du 12 mars 2023

Admission {.enum-article}
---------------------

Peuvent devenir membre les personnes contribuant activement à l'association.
L'appréciation des contributions est à la charge du Bureau et concerne tout
type de contribution, matérielle ou immatérielle, par exemple : participation
régulière et significative aux échanges internes, participation à la
gestion technique des services de l'association, rédaction de la documentation
utilisateur ou contributeur, communication au profit de l'association, dons
réguliers à l'association.

Les personnes souhaitant acquérir la qualité de membre doivent le signaler au
Bureau par courrier simple. Pour les mineurs de moins de seize ans, la demande
d'admission est accompagnée d'une lettre du représentant légal.

La demande d'adhésion est acceptée par le bureau à la majorité de ses membres.
L'admission est considérée effective après acceptation par le bureau.

Radiation {.enum-article}
---------------------

La démission doit être adressée au Président par courrier simple.

L'exclusion peut être prononcée pour absence de contribution active à
l'association, après que la question a fait l'objet d'un courrier simple au
membre concerné, qui a eu la possibilité d'échanger avec le Bureau sur la
raison de l'inactivité.

L'exclusion peut être prononcée pour motif grave pour les raisons suivantes :
nuisance au bon fonctionnement de l'association et de son administration ou
portant atteinte à ses valeurs ou sa réputation ;
nuisance au bon fonctionnement des plateformes et services mis à disposition
par l'association, notamment mais pas seulement au regard des infractions
mentionnées aux articles 323-1 à 323-6 du code pénal ;
manquement aux règles de sécurité fixées pour les membres actifs participant
notamment à l'administration des plateformes et services mis à disposition
par l'association ;
condamnation pénale pour crime ou délit.

Valeurs et orientations {.enum-article}
-----------------------------------

Les valeurs de l'association sont définies comme suit, organisées entre trois
valeurs primordiales et douze orientations y participant.

Valeurs de l'association :

1. Sécurité, l'association doit assurer la sécurité de ses services et des
   données de ses utilisateurs.
2. Vie privée, l'association doit privilégier le respect de la vie privée de
   ses utilisateurs.
3. Libertés, l'association doit favoriser le bon exercice des libertés
   fondamentales de ses utilisateurs, en particulier d'opinion et d'expression.

Orientations de l'association :

1. Fonctionnalités, l'association doit se charger de fournir des services
   fonctionnels et complets à ses utilisateurs.
2. Performances, l'association doit assurer un accès fiable et rapide aux
   services.
3. Résilience, l'association doit assurer une continuité de service en cas
   d'incident majeur sur son infrastructure.
4. Expérimentations, l'association doit expérimenter et développer de nouvelles
   technologies renforçant ses valeurs.
5. Communauté, l'association doit s'appuyer sur sa communauté d'utilisateurs
   dans son fonctionnement quotidien.
6. Fédération, l'assocation doit elle-même s'associer, techniquement et
   administrativement, pour rendre des services plus larges en communauté.
7. Formation, l'association doit former ses utilisateurs et membres au bons
   usages garantissant leurs sécurité, vie privée et libertés.
8. Partage, l'association doit partager le fruit de ses expérimentations et sa
   documentation.
9. Essaimage, l'association doit former et inciter ses utilisateurs à établir
   des structures similaires.
10. Humanité, l'association doit privilégier le contact humain et la tolérance
    dans ses relations avec les utilisateurs.
11. Respect, l'association doit favoriser le respect des droits, valeurs, et des
    personnes mêmes dans la gestion des services.
12. Amour, l'association doit privilégier les relations chaleureuses et
    l'appréciation de l'autre.

Bureau {.enum-article}
------------------

Conformément à l'article neuf des statuts, l'association est dirigée par un
Bureau d’au moins deux membres élus pour une année par une Assemblée Générale.

Le Bureau est composé de :

- kaiyou
- ayiniho

Modifications {.enum-article}
-------------------------

Conformément à l'article quatorze des statuts, le règlement intérieur peut être
modifié par le Bureau, qui le fait alors approuver par l’Assemblée Générale.

La date de dernière modification du règlement intérieur ainsi que l'historique
des modifications apportées sont incluses en en-tête du document.

Vie privée {.enum-article}
----------------------

Dans le cadre de leur contribution à l'association, les membres accédant à des
données personnelles ou toute donnée pouvant porter préjudice à la vie privée
des utilisateurs doivent assurer la stricte confidentialité de ces
informations.

En particulier et quel qu'en soit l'usage (tests, debugging, etc.), il est
formellement interdit à tout membre de recopier hors des infratructures de
l'association des données utilisateur de l'association sans l'accord préalable
et argumenté d'un autre membre de l'association ni sans en informer les
utilisateurs concernés.

Libertés {.enum-article}
--------------------

Dans le cadre de leur contribution à l'association, les membres accédant à des
informations, fonctions ou outils de nature à porter préjudice à l'exercice des
libertés individuelles des utilisateurs des services de l'association doivent
agir dans l'intérêt du bon exercice de ces libertés.

En particulier, à l'exception des cas prévus par la loi 2004-575 du 21 juin
2004, les membres de l'association doivent agir dans l'intérêt du bon
exercice des libertés prévues par les articles 10 et 11 de la Déclaration des
Droits de l'Homme et du Citoyen.

En outre, il est attendu de tous les membres qu'ils emploient préférentiellement
des logiciels libres (au sens de la FSF) pour les activités qui relèvent de leur
contribution à l'association.

Sécurité {.enum-article}
--------------------

Les membres participant activement à la gestion des services de l'association
doivent employer les outils à leur disposition dans le respect des consignes
de sécurité numériques fournies par le Bureau.

En particulier, les membres doivent impérativement disposer exclusivement, ou
être l'administrateur exclusif des équipements qu'ils emploient pour
accéder en tant qu'administrateur à toute ressource de l'association. Ces
équipements doivent disposer d'un système d'exploitation à jour et de logiciels
officiels, obtenus légalement, tenus à jour.

En outre, tous les secrets utiles à l'accès aux infrastructures de l'association
doivent être protégés (au minimum chiffrées au repos selon les bonnes pratiques
en vigueur), idéalement en employant la solution en vigueur au sein de
l'association. Il est interdit de recopier vers un autre outil les secrets
partagés au sein de l'association.

Les membres doivent signaler au Bureau toute information ou tout comportement
relatif à une vulnérabilité impactant l'association ou les services de
l'association.

Réputation {.enum-article}
----------------------

Les membres participant activement à la communication publique de
l'association doivent employer dans le cadre de cette communication un
discours et des arguments conformes aux valeurs de l'association.

Infrastructure {.enum-article}
--------------------------

Tout membre peut prétendre à contribuer à l'infrastructure de l'association en
hébergeant une partie des ressources à son domicile, aux conditions suivantes :

- le matériel d'hébergement est validé par le bureau,
- le matériel est propriété de l'association, ou bien il est propriété exclusive
  du membre qui le met à disposition de l'association pour tout ou partie à titre
  gratuit,
- l'accès physique et en administration au matériel est exclusivement réservé à
  des membres de l'association ou personnes désignées de confiance par le membre
  hébergeant,
- l'accès à Internet bénéficiant au matériel est exclusivement réservé à des
  membres de l'association ou personnes désignées de confiance par le membre
  hébergeant,
- le membre héberge le matériel à son domicile personnel ou avec l'accord de
  l'hébergeant (en particulier en cas de cohabitation).

Dans ce cas, le membre reconnaît qu'il est partie prenante dans l'activité
d'hébergement, et que - bien que ne représentant pas légalement l'association s'il
n'en est pas président -, il expose son domicile personnel, et le cas échéant
son matériel personnel, à l'intervention de la Justice et des services de police
judiciaire français dans le cas où l'association serait impliquée dans une
procédure.

Remboursement {.enum-article}
--------------------------

Tout membre de l'association peut prétendre au remboursement des frais réels
qu'il engage pour l'association, à condition que ces frais correspondent à des
dépenses approuvées préalablement par le Bureau et sur présentation de factures
détaillées à son nom personnel. Les frais de réception et de transports sont
remboursés selon les conditions réglementaires à date.

Dans le cas où le membre héberge des équipements d'infrastructure (voir article
9) à son domicile et que ces équipements consomment notablement de l'énergie,
le membre peut prétendre au remboursement des frais associés. Dans ce cas, puisque
les-dits équipements contribuent pour une proportion non mesurée de la facture
présentée, les frais sont remboursés en une fois à l'issue du bilan financier pour
l'année écoulée, dans la limite de 50€ par an et par membre.

Le calcul des frais d'énergie s'appuie sur la puissance moyenne appelée par les
équipements, idéalement mesurée ou bien calculée à partir des caractéristiques
techniques. La puissance est considérée appelée en continu sur toute la durée
où l'équipement est actif au profit de l'association, et la consommation remboursée
calculée au tarif bénéficiant à l'adresse d'hébergement du noeud, sur présentation
d'une facture de son
fournisseur d'énergie, en appliquant le cas échéant la tarification horaire. Lorsque
le fournisseur d'énergie facture un abonnement et sur présentation de la facture,
le coût de l'abonnement est remboursé au prorata entre l'énergie consommée au bénéfice
de l'association et la consommation totale du membre. Enfin, si les équipements ne
sont pas employés au bénéfice exclusif de l'association, un coefficiant validé par
le bureau est appliqué à l'ensemble du montant remboursé. Pour traçabilité, le
montant remboursé à chaque membre est inscrit au compte-rendu de l'AG en marge du
bilan financier.

Signalement {.enum-article}
-----------------------

Les membres doivent signaler au Bureau tout manquement aux articles 5 à 8 du
présent règlement.

Litige {.enum-article}
-------------------

En cas de litige concernant le présent règlement, le Bureau doit être informé
de la nature et du contexte du litige.

Le Bureau est apte à résoudre les litiges quant aux infractions au présent
règlement.
