---
title: L'Union Européenne doit poursuivre le financement des logiciels libres
---

Cette lettre est reprise d'une publication originale des [petites singularités](https://ps.zoethical.org/pub/lettre-publique-aux-ncp-au-sujet-de-ngi/), mise en avant par [public.cat](https://pad.public.cat/lettre-NCP-NGI).

TeDomum bénéficie indirectement mais énormément des financements européens
pour le logiciel libre, en particulier via la NGI et NLNet. A titre d'exemple :

- [Mastodon](https://nlnet.nl/project/Mastodon/) nous permet de vous proposer
  du micro-blogging fédéré ;
- [Pixelfed](https://nlnet.nl/project/Pixelfed-Groups/) nous permet de vous
  proposer du partage d'images fédéré ;
- [Mobilizon](https://nlnet.nl/project/Mobilizon/) nous permet de vous proposer
  de l'organisation événementielle fédérée ;
- [Peertube](https://nlnet.nl/project/PeerTube/) nous permet de vous proposer
  du partage de vidéos fédéré ;
- [Lemmy](https://nlnet.nl/project/Lemmy/) nous a longtemps permis de vous
  proposer du partage de lien et des forums fédérés ;
- [Nextcloud](https://nlnet.nl/project/NextCloudSearch/) nous permet de vous
  proposer des espaces de stockage de fichiers ;
- [Collabora](https://nlnet.nl/project/LO-Online/) nous permet de vous proposer
  de l'édition collaborative sur Nextcloud ;
- [Jitsi](https://nlnet.nl/project/jitsi/) nous permet de vous proposer des
  salons de visio ;

Même notre infratructure est fortement fondée sur des projets qui ont vécu et
progressé notamment grâce au financement NLNet:
- [Garage](https://nlnet.nl/project/Garage/) stocke les trois quarts de vos
  données sur nos machines ;
- [Wireguard](https://nlnet.nl/project/WireGuard-upscale/) protège tout notre
  trafic inter-serveurs ;
- [nftables](https://nlnet.nl/project/nftables/) est à la base de notre stack
   réseau ;
- [la stack SIIT](https://nlnet.nl/project/IPv6-monostack/) est au coeur de
  notre démarche réseau en cours sur Kity.

Et c'est bien sûr en oubliant nombre de projets essentiels à TeDomum, ses
administrateurices au quotidien, ses utilisateurices pour accéder aux services,
etc.

Nous nous associons donc à cette lettre pour demander à la Commission Européenne
de poursuivre le financement des logiciels libres, en particulier en maintenant
le programme NGI et ses ramifications.

## Lettre ouverte à la Commission Européenne

Depuis 2020, les programmes Next Generation Internet (NGI), sous-branche du programme Horizon Europe de la Commission Européenne financent en cascade (via les appels de NLNet) le logiciel libre en Europe. Cette année, à la lecture du brouillon du Programme de Travail de Horizon Europe détaillant les programmes de financement de la commission européenne pour 2025, nous nous apercevons que les programmes Next Generation Internet ne sont plus mentionnés dans le Cluster 4.

Les programmes NGI ont démontré leur force et leur importance dans le soutien à l'infrastructure logicielle européenne, formant un instrument générique de financement des communs numériques qui doivent être rendus accessibles dans la durée. Nous sommes dans l'incompréhension face à cette transformation, d'autant plus que le fonctionnement de NGI est efficace et économique puisqu'il soutient l'ensemble des projets de logiciel libre des plus petites initiatives aux mieux assises. La diversité de cet écosystème fait la grande force de l'innovation technologique européenne et le maintien de l'initiative NGI pour former un soutien structurel à ces projets logiciels, qui sont au cœur de l'innovation mondiale, permet de garantir la souveraineté d'une infrastructure européenne. Contrairement à la perception courante, les innovations techniques sont issues des communautés de programmeurs européens plutôt que nord-américains, et le plus souvent issues de structures de taille réduite.

Le Cluster 4 allouait 27.00 millions d'euros au service de :
- "Human centric Internet aligned with values and principles commonly shared in Europe" ;
- "A flourishing internet, based on common building blocks created within NGI, that enables better control of our digital life" ;
- "A structured eco-system of talented contributors driving the creation of new internet commons and the evolution of existing internet common".

Au nom de ces enjeux, ce sont plus de 500 projets qui ont reçu un financement NGI0 dans les 5 premières années d'exercice, ainsi que plus de 18 organisations collaborant à faire vivre ces consortia européens.

NGI contribue à un vaste écosystème puisque la plupart du budget est dévolue au financement de tierces parties par le biais des appels ouverts (_open calls_). Ils structurent des communs qui recouvrent l'ensemble de l'Internet, du matériel aux applications d'intégration verticale en passant par la virtualisation, les protocoles, les systèmes d'exploitation, les identités électroniques ou la supervision du trafic de données. Ce financement des tierces parties n'est pas renouvelé dans le programme actuel, ce qui laissera de nombreux projets sans ressources adéquates pour la recherche et l'innovation en Europe.

Par ailleurs, NGI permet des échanges et des collaborations à travers tous les pays de la zone euro et aussi avec ceux *widening countries* [^1], ce qui est actuellement une réussite tout autant qu’un progrès en cours, comme le fut le programme Erasmus avant nous. NGI0 est aussi une initiative qui participe à l’ouverture et à l’entretien de relation sur un temps plus long que les financements de projets. NGI encourage également à l'implémentation des projets financés par le biais de pilotes, et soutient la collaboration au sein des initiatives, ainsi que l'identification et la réutilisation d'éléments communs au travers des projets, l'interopérabilité notament des systèmes d'identification, et la mise en place de modèles de développement intégrant les autres sources de financements aux différentes échelles en Europe.

Alors que les États-Unis d’Amérique, la Chine ou la Russie déploient des moyens publics et privés colossaux pour développer des logiciels et infrastructures captant massivement les données des consommateurs, l’Union Européenne ne peut pas se permettre ce renoncement. Les logiciels libres et *open source* tels que soutenus par les projets NGI depuis 2020 sont, par construction, à l’opposée des potentiels vecteurs d’ingérence étrangère. Ils permettent de conserver localement les données et de favoriser une économie et des savoirs-faire à l’échelle communautaire, tout en permettant à la fois une collaboration internationale. Ceci est d’autant plus indispensable dans le contexte géopolitique que nous connaissons actuellement. L’enjeu de la souveraineté technologique y est prépondérant et le logiciel libre permet d’y répondre sans renier la nécessité d’œuvrer pour la paix et la citoyenneté dans l’ensemble du monde numérique.

Dans ces perspectives, nous vous demandons urgemment de réclamer la préservation du programme NGI dans le programme de financement 2025.

[^1]: Tels que définis par Horizon Europe, les États Membres élargis sont la Bulgarie, la Croatie, Chypre, la République Tchèque, l’Estonie, la Grèce, la Hongrie, la Lettonie, la Lithuanie, Malte, la Pologne, le Portugal, la Roumanie, la Slovaquie et la Slovénie. Les pays associés élargies (sous conditions d’un accord d’association) l’Albanie, l’Arménie, la Bosnie Herzégovine, les Iles Feroé, la Géorgie, le Kosovo, la Moldavie, le Monténégro, le Maroc, la Macédoine du Nord, la Serbie, la Tunisie, la Turquie et l’Ukraine. Les régions élargies d’outre-mer sont: la Guadeloupe, la Guyane Française, la Martinique, La Réunion, Mayotte, Saint-Martin, Les Açores, Madère, les Iles Canaries.
