---
title: Compte TeDomum
---

## Qu'est ce que Hiboo ? ou le SSO ?

Hiboo, le SSO, ou votre compte TeDomum ne désignent chez nous qu'une seule et même chose : un moyen de vous authentifier facilement sur tous nos services qui le supportent.

Ce compte TeDomum unique repose sur un outil que nous développons nous-mêmes : [Hiboo](https://forge.tedomum.net/acides/hiboo). Il implémente une fonctionnalité souvent nommée SSO, pour *Single Sign-On*, ou authentification unique. En clair, il s'agit bien de ne s'authentifier qu'une seule fois pour avoir accès à tous ses comptes.

Pour finir, cet outil est disponible à l'adresse suivante : <https://auth.tedomum.net>.

## Pourquoi utiliser un compte unique ?

Nous avons longtemps hésité avant d'utiliser un compte unique chez TeDomum, parce que c'est difficile de le faire correctement. Mais nous pensons y parvenir grâce à Hiboo. Déjà, cela présente l'avantage de vous faire retenir un seul mot de passe plutôt qu'un par service.

Sur le plan sécurité informatique, cela nous permet d'implémenter des CAPTCHA pour nous protéger contre les robots sans dépendre de services externes tels que reCaptcha de Google. Cela nous permettra également (ce n'est pas implémenté à ce jour) de déployer de l'authentification multi-facteurs (SMS, biométrique, etc.) pour une grande partie de nos services, même ceux qui ne le supportent pas nativement.

Sur le plan modération, cela nous permet de gérer dans une interface unique les utilisateurs, les demandes de comptes, les blocages, bannissements, suppressions de compte.

Sur le plan vie privée, Hiboo nous permet de centraliser les quelques données que nous collectons des utilisateurs (identifiant, mot de passe, adresse e-mail principalement) et de ne pas stocker ces informations dans les applications. Ainsi, si l'une de nos applications est piratée, ces informations ne seront pas compromises.

## Qu'est ce qu'un profil ?

Si vous utilisez TeDomum sans besoin d'authentification particulier, vous n'entendrez probablement jamais parler des profils, sinon au détour d'une conversation ou dans les messages de documentation de Hiboo.

Une authentification unique pose souvent problème lorsque des personnes disposent de plusieurs comptes sur une application. C'est le cas lorsqu'elles disposent d'un compte personnel et d'un compte professionnel, ou bien lorsqu'elles utilisent des pseudonymes pour échapper au harcèlement par exemple.

Afin d'y remédier, Hiboo propose aux utilisateurs qui le désirent d'utiliser une authentification unique en choisissant, pour chaque application, le compte auquel ils souhaitent accéder. Il permet aussi de partager des comptes d'applications entre plusieurs utilisateurs, pour les comptes d'association ou d'entreprise par exemple, sans jamais partager de mot de passe.

## Comment obtenir un compte Hiboo ?

Voici un tutoriel en vidéo qui explique les bases de Hiboo.

<iframe class="position-relative start-50 translate-middle-x" width="560" height="315" sandbox="allow-same-origin allow-scripts allow-popups" src="https://video.tedomum.net/videos/embed/c5b36c4f-aa8c-4cef-87a2-9a3f9ea827c9" frameborder="0" allowfullscreen></iframe>

Lorsque vous accéderez à une application TeDomum nécessitant un compte Hiboo, vous serez automatiquement redirigé vers l'interface de connexion de Hiboo. Depuis cette interface vous pouvez créer un compte en fournissant le minimum d'informations requis :

{{< figure src="images/1.png" link="images/1.png" target="_blank">}}

Bien entendu, il est inutile de vous créer un compte si vous n'accédez pas à une application le nécessitant : ils servent exclusivement à se connecter à nos applications.

## Comment obtenir un compte sur une application ?

Lorsque vous accéderez à une application TeDomum nécessitant un compte Hiboo, vous serez automatiquement redirigé vers l'interface de connexion de Hiboo :

{{< figure src="images/2.png" link="images/2.png" target="_blank">}}

Dans cet exemple, `angetest3` n'a pas encore de compte sur Seafile et 3 choix s'offrent à lui :

- Créer un profil avec le même nom que son compte Hiboo (bouton `Sign up`)
- Récupérer un profil déjà existant (bouton `Claim a profile`)
- Créer un profil avec un nom différent du compte Hiboo (bouton `Create a custom profile`)

Il n'est pas possible de créer un compte sur une application directement depuis Hiboo. Il est toujours nécessaire d'accéder d'abord à l'application parmi la [liste de nos services](/service/).

## À quoi servent les informations de contact ?

Ces informations nous servent uniquement en cas de perte de mot de passe pour vérifier que vous êtes bien le propriétaire du compte. Il n'est donc pas obligatoire de les remplir, mais si aucune information n'a été enregistrée, alors il ne nous sera pas possible de réinitialiser votre mot de passe. C'est pourquoi nous vous invitons à les inscrire par sécurité :

{{< figure src="images/3.png" link="images/3.png" target="_blank">}}

À noter que seuls les administrateurs y ont accès.

## Comment réinitialiser son mot de passe ?

Pour cela, il faut faire une demande à un administrateur afin qu'il vous génère un lien vous permettant de le faire. Ce lien ne sera valable que 24 h et utilisable qu'une seule fois.

Attention, comme dit dans le chapitre précédent, cela ne sera possible que si vous avez renseigné vos informations de contact.

## J'ai demandé un compte, quand sera-t-il activé ?

Les comptes sont activés manuellement, soyez patient. Si besoin, vous pouvez nous contacter aux adresses disponibles sur la [page de contact](/member/).

## Hiboo fonctionne-t-il sur mobile ?

Oui, Hiboo fonctionne sur mobile :

{{< figure src="images/Hiboo-Mobile.jpg" link="images/Hiboo-Mobile.jpg" target="_blank">}}
