---
title: Conditions Générales d'Utilisation
---

## Préambule

TeDomum met à disposition des applications accessibles à travers Internet (les Services), destinées à rendre principalement des fonctions de collaboration, de communication et de publication. Ces Services sont mis à disposition de personnes physiques et morales (les Utilisateurs) qui les emploient pour collaborer, communiquer ou publier des informations, y compris des informations techniques.

Ce document constitue les Conditions Générales d'Utilisation (les CGU) des Services de TeDomum, applicables à TeDomum et aux Utilisateurs. Il définit les droits accordés par TeDomum aux Utilisateurs – en particulier s'agissant des droits liés à leurs données personnelles – et les limites d'utilisation des Services. Il définit également la politique de modération de TeDomum en détaillant les principales infractions et les actions mises en œuvre lorsque TeDomum est informé de ces infractions.

En utilisant les Services pour collaborer, communiquer ou publier des informations, les Utilisateurs reconnaissent avoir lu et accepté d'être liés par les présentes CGU. TeDomum reconnaît être lié aux Utilisateurs par ces mêmes CGU. Ces CGU pourront être mises à jour, auquel cas la mise à jour et les différences seront mentionnées sur le [fil d'actualités de TeDomum](https://mastodon.tedomum.net/@tedomum).

L'échec d'une des parties à recourir à ses droits ou à appliquer les présentes CGU ne constitue pas une renonciation. Les présentes CGU constituent l'intégralité de l'accord entre TeDomum et les Utilisateurs, remplaçant tout accord antérieur.

Le texte de ces CGU est libre de droits et peut être réutilisé à toutes fins, sans notification ou mention.

## Principes généraux

TeDomum est une association à but non lucratif de droit français, dont les services sont hébergés exclusivement sur le territoire français. TeDomum est donc soumis au droit français, primant dans toutes les décisions.

TeDomum considère les Utilisateurs comme innocents de toute infraction sauf à disposer d'éléments matériels et moraux relatifs à une infraction pratiquée sur les Services, définie au sens du droit français, du droit applicable spécifiquement aux Utilisateurs du fait de leur nationalité ou domiciliation, ou des présentes CGU.

TeDomum ne consulte pas *a priori* les informations échangées ou publiées par les Utilisateurs sur les Services. Ainsi, l'Utilisateur est considéré comme responsable de son activité sur les Services ; une infraction est constatée et TeDomum tenu responsable dès lors que TeDomum en est informé par un Utilisateur, un membre de l'association, ou un tiers (visiteur, administration, etc.).

L'Utilisateur est responsable de la sécurité de ses comptes personnels sur les Services, en dehors des aspects de sécurité inhérents à l'infrastructure et à l'application. En particulier, l'Utilisateur est responsable de la sécurité de son mot de passe d'accès. TeDomum est responsable de la sécurité de l'infrastructure d'hébergement et des applications.

L'accès aux Services par l'Utilisateur est à l'initiative libre de l'Utilisateur et gratuit. Les dons adressés à TeDomum ne sauraient constituer un paiement pour l'utilisation des Services. Les Services sont fournis en l'état et dépourvus de garantie de service, s'agissant de la disponibilité minimale, ou de la conservation minimale des données.

La résiliation de Service peut être :
- du fait de l'Utilisateur, autonome lorsque le Service le permet, ou sur demande, sans préciser la raison motivant la résiliation ;
- du fait de TeDomum, pour manquement aux présentes CGU, la motivation devant être notifiée à l'Utilisateur concerné par tout moyen de contact disponible ;
- du fait de l'expiration de l'usage, après une inactivité de 24 mois et que l'Utilisateur a été notifié au moins 2 fois dès 22 mois d'inactivité par tout moyen de contact disponible, et sauf lorsque l'Utilisateur a préalablement indiqué que son usage ne devait pas expirer.

## Échanges avec TeDomum

Une demande concernant l'exercice des droits définis dans les CGU peut être adressée à tout point de contact défini sur la page : <https://tedomum.net/member/>.

TeDomum n'oblige pas les Utilisateurs à fournir leur identité réelle pour accéder aux Services. Aussi, par mesure de sécurité pour les Utilisateurs, toute demande relative aux Services qui ne pourrait être authentifiée par le biais de ces Services (par exemple une suppression de données ou une récupération de mot de passe perdu) ne saurait être traitée sans que le demandeur fournisse une preuve raisonnable de son identité d'Utilisateur. À ce titre, trois critères sont retenus :

- l'Utilisateur qui dans son usage du Service (inscription, profil, etc.) a mentionné une adresse électronique personnelle, et sauf suspicion motivée par TeDomum d'accès frauduleux, utilise cette adresse électronique pour communiquer ;
- l'Utilisateur qui dans son usage du Service (inscription, profil, etc.) a mentionné son identité physique ou morale réelle et justifie de cette identité lors de la demande ;
- l'Utilisateur dont la documentation interne conservée par TeDomum mentionne une adresse électronique (s'agissant de l'inscription à un Service ne permettant pas de mention au profil par exemple) et qui utilise cette adresse électronique pour communiquer.

Par adresse électronique on entend tout moyen de communication électronique dont l'accès est authentifié, par exemple une adresse « e-mail », une adresse « Matrix », une adresse « Jabber » ou un hôte « IRC » authentifié. À ce titre, un service de messagerie non authentifié ou une adresse IP ne sauraient constituer une adresse électronique.

## Gestion des infractions

Après établissement d'une infraction aux CGU et conformément à la loi 2004-575 pour la confiance dans l'économie numérique, TeDomum supprime des Services tout contenu dont la publication ou la mise à disposition constitue une infraction au sens du droit français. Lorsque l'atteinte concerne un attribut de publication du contenu, TeDomum peut modifier le contenu publié en avertissant l'Utilisateur, par exemple en insérant les avertissements nécessaires pour le public. Chaque suppression fait l'objet d'une notification publique et d'une notification individuelle à l'Utilisateur ayant publié le contenu. Lorsque le caractère illicite n'est pas établi, TeDomum notifie l'Utilisateur ayant publié le contenu durant la phase d'instruction.

TeDomum distingue deux catégories d'infractions :

- les atteintes à la personne concernent toute action ayant pour but ou effet de porter atteinte à l'intégrité physique ou psychique d'autrui ;
- les atteintes aux biens concernent toute action ayant pour but ou effet de porter atteinte à l'intégrité de biens communs ou de biens possédés par autrui.

Après établissement de l'infraction, si l'Utilisateur n'était pas conscient de l'infraction lors des faits, TeDomum l'avertit et le sensibilise. Sinon, TeDomum procède au bannissement de son compte, éventuellement assorti d'une date de fin de bannissement à sept (7) jours dans le cas des atteintes aux biens.

Lorsque l'Utilisateur présente une volonté de nuire lors de l'infraction, TeDomum procède systématique au bannissement définitif du compte, éventuellement assorti d'un bannissement définitif de l'ensemble des comptes de l'Utilisateur ou d'une résiliation des comptes concernés.

Lorsque l'infraction concerne l'ensemble du contenu de l'Utilisateur, TeDomum procède à la résiliation de son compte.

Lorsque l'infraction concerne un contenu dont la publication initiale n'a pas eu lieu sur les Services de TeDomum (par exemple via un protocole de fédération ou par import automatique de données), TeDomum notifie le responsable de la publication. Lorsque le contenu doit être supprimé et que le responsable concerné n'intervient pas sous 48 heures, TeDomum procède en fonction des possibilités techniques et dans l'ordre de préférence : au masquage du contenu spécifique, au blocage de l'utilisateur, au blocage de l'hébergeur. De même, lorsque l'infraction justifierait le bannissement d'un Utilisateur, TeDomum procède par ordre de préférence : au blocage de l'utilisateur, au blocage de l'hébergeur.

Les principaux cas d'infraction sont définis à suivre, toute autre infraction au sens du droit français pouvant être caractérisée indépendamment de son inscription aux CGU.

### Atteintes à la personne

**Injure, outrage, diffamation** : propos ou contenu accompagné d'une volonté de blesser, y compris les injures basées sur des discriminations ou les outrages sexistes.

**Incitation à la haine** : propos ou contenu incitant à la haine, la violence, l'injure envers d'autres personnes en raison de leur origine, croyances, ou tout trait discriminatoire.

**Apologie ou provocation du terrorisme** : propos ou contenu en faveur d'actes de terrorisme, incitant autrui à mener de tels actes ou facilitant la réalisation de tels actes, y compris le fait de rendre disponible ce type de contenu.

**Propos haineux** : propos ou contenu haineux envers un individu ou un groupe d'individus, non caractérisé par ailleurs comme injure, outrage, diffamation ou incitation à la haine.

**Propos discriminatoire** : propos ou contenu dévalorisant usant de références discriminatoires, non caractérisé par ailleurs comme injure, outrage ou diffamation, en particulier référence aux activités racistes en cours ou historiques, vocabulaire ou référence à toutes discriminations du fait de l'origine, des croyances ou de tout autre trait personnel.

**Pédophilie, pédopornographie** : contenu pornographique montrant ou représentant des mineurs, y compris le fait de rendre disponible ce type de contenu.

**Représentation du corps** : contenu pornographique ou représentation choquante du corps sans avertissement préalable.

**Violence explicite** : contenu représentant explicitement la violence faite aux personnes sans avertissement préalable, en particulier les images macabres, de coups, de blessures, les images de guerre et les représentations de violence psychologique.

**Violence implicite** : contenu suggérant la violence faite aux personnes sans la représenter explicitement et sans avertissement préalable, en particulier la représentation des armes par conception, la référence à des actes de violence réels ou fictifs.

**Représentation d'addictions** : propos ou contenus suggérant des situations pouvant relever d'addictions sans avertissement préalable, en particulier les références à l'alcool, toutes formes de drogues addictives et les jeux d'argent.

**Représentations de soi** : représentation explicite de soi sans avertissement préalable pouvant engendrer un mal-être chez autrui en fonction de sa perception de soi ou des relations interpersonnelles.

**Désinformation** : propos ou contenu présentant un caractère dangereux pour un individu ou un groupe (risques médical, biologique, économique, juridique, sécuritaire) sans mention explicite du risque, ou bien contextualisé ou étayé de manière manifestement fausse sans que les limites ou biais ne soient explicitement mentionnés.

### Atteintes aux biens

**Tentative d'escroquerie** : propos ou contenu visant à escroquer autrui, y compris les références vers de tels contenus.

**Diffusion d'informations personnelles** : diffusion non légitime d'informations personnelles d'individus non consentants.

**Infraction au droit d'auteur** : reproduction totale ou substantielle d'œuvres sans licence de leur auteur, y compris le fait de rendre disponible ce type de contenu, à l'exception du pastiche, de la satire, la critique et la citation.

**Diffusion d'informations protégées** : diffusion non légitime d'informations protégées administrativement sans le consentement de leur émetteur.

**Spam** : contenus répétitifs nuisibles à la publication des autres contenus, posant potentiellement un risque pour la plateforme de diffusion.

## Traitements de données personnelles

TeDomum reconnaît aux Utilisateurs l'intégralité de leurs droits relatifs aux données personnelles (opposition, consultation, rectification, effacement). Pour exercer ces droits, l'Utilisateur doit contacter TeDomum par les moyens définis précédemment.

### Traitement nominal des Services

Chaque Service opéré par TeDomum au profit des Utilisateurs constitue un traitement de données obligatoire pour l'emploi du Service.

Dans ce cadre, TeDomum traite, exclusivement sous droit français et sur le territoire français, toutes données mises à disposition explicitement par l'Utilisateur pour le propos du fonctionnement nominal du Service tel que proposé à l'Utilisateur, pour la durée d'emploi du Service par l'Utilisateur ou toute durée définie explicitement par l'Utilisateur, avec pour finalités :

- la collaboration entre les Utilisateurs ;
- la communication entre les Utilisateurs ou avec des tiers ;
- la publication d'informations par les Utilisateurs ;
- l'authentification d'une demande adressée par l'Utilisateur à TeDomum.

Ces données sont accédées uniquement par le Service, par l'Utilisateur, ses collaborateurs ou interlocuteurs dans le cadre des services de communication et collaboration, par ses visiteurs dans le cadre des services de publication, et par TeDomum dans le cadre de l'application des CGU.

TeDomum supprime les données relatives à l'usage du ou des Services après la résiliation :
- sans délai sur demande de l'Utilisateur ;
- après un délai de un (1) an sans accès à la donnée, s'agissant d'usages de publication ;
- après un délai de un (1) mois pour les autres données ;
- à la discrétion de TeDomum lorsque les conditions techniques le justifient, y-compris en conservant une archive soumise aux mêmes conditions de suppression.

En outre, TeDomum supprime après six (6) mois les données utiles à l'usage mais non générées par l'Utilisateur, telles que les données de mise en tampon de contenus de services tiers (fédération, etc.)

### Traitement d'authentification centralisée

TeDomum opère au profit des Utilisateurs un service d'authentification centralisée nommé Hiboo, constituant un traitement de données obligatoire pour l'emploi des Services y recourant.

Dans ce cadre, TeDomum traite, exclusivement sous droit français et sur le territoire français, les authentifiants (nom d'utilisateur, mot de passe, éventuels autres facteurs) et les adresses électroniques de contact déclarés par l'utilisateur, pour la durée de validité du compte de l'Utilisateur, avec pour finalités :

- l'authentification de l'Utilisateur sur les Services recourant à Hiboo ;
- la transmission de notifications à l'Utilisateur concernant l'emploi des Services recourant à Hiboo ;
- l'authentification d'une demande adressée par l'Utilisateur à TeDomum.

Ces données sont accédées uniquement par l'Utilisateur dans le cadre de l'authentification aux Services et par TeDomum dans le cadre de l'application des CGU. Ces données sont supprimées dès la résiliation.

### Traitement des journaux des Services

Chaque Service opéré par TeDomum au profit des Utilisateurs génère des journaux techniques, dont la conservation et la consultation par TeDomum constituent un traitement de données obligatoire pour l'emploi du Service.

Dans ce cadre, TeDomum traite, exclusivement sous droit français et sur le territoire français, l'ensemble des journaux générés par les Services, pour une durée de quatorze (14) jours à compter de leur génération, avec pour finalités :

- la recherche et la correction de problèmes techniques liés aux Services ;
- la contribution aux actions de modération afin de rechercher les actions liées à une infraction constatée ;
- la mise à disposition des traces d'accès aux Services dans le cadre d'instructions judiciaires dans les conditions définies par le droit français.

Ces données sont consultées exclusivement par les administrateurs de TeDomum, exclusivement sur les serveurs les ayant générées ou sur les dispositifs de
collecte de journaux opérés par TeDomum.

Conformément au code des procédures pénales, TeDomum peut être soumis à des réquisitions judiciaires portant notamment sur des journaux d'accès aux Services. L'ensemble de l'infrastructure de TeDomum est régi par la législation française et TeDomum répond exclusivement aux réquisitions originaires des services de police ou associés en France. La légitimité des réquisitions est vérifiée avant toute communication et seules les données requises sont communiquées. Les Utilisateurs concernés par la communication sont notifiés individuellement si les conditions légales le permettent.

### Traitement de documentation interne

TeDomum opère, à son profit exclusif, une documentation interne pouvant porter sur des données personnelles, constituant un traitement de données facultatif pour l'emploi des Services.

Dans ce cadre, sur consentement explicite obtenu lors de la configuration spécifique d'un Service au profit d'un Utilisateur, TeDomum peut conserver l'information d'identité sur la personne physique, la personne morale de l'Utilisateur et les adresses de contact électronique déclarées par l'Utilisateur, pour la durée d'emploi du Service par l'Utilisateur, avec pour finalités :

- la transmission de notifications à l'Utilisateur concernant l'emploi des Services recourant à Hiboo ;
- l'authentification d'une demande adressée par l'Utilisateur à TeDomum.

Ces données sont consultées exclusivement par les membres de l'association TeDomum dans le cadre de l'application des CGU. Ces données sont supprimées dès la résiliation de l'usage.
