---
title: Domaines disponibles
---

TeDomum dispose de domaines DNS disponibles soit pour les usages internes, soit
pour l'ensemble des utilisateurs, à la demande. Ces domaines sont soit sous responsabilité
administrative de TeDomum directement, soit mis à disposition par un utilisateur.

S'agissant des domaines mis à disposition, proposés librement aux utilisateurs TeDomum,
l'association s'engage à financer pendant le temps nécessaire la réservation de ces domaines
dans le cas où la personne qui les met à disposition cesse la réservation.

<div id="select-filter" class="d-none">
<label for="usage-filter">Filtre par usage :</label>
<select list="usage-filter-list" id="usage-filter" name="usage-filter" onchange="myFunction()">
  <option value="" selected>Tous les usages</option>
  <option value="mails">· e-mails</option>
  <!-- <option value="sites">· sites</option> -->
  <option value="subdomains">· sous-domaines</option>
</select>
</div>

{{% table %}}
| Domaine          | Mise à disposition par   | Usages             |
|------------------|--------------------------|--------------------|
| acides.org       | kaiyou                   | Mails ouverts, reste réservé <span class='filter d-none'>mails</span> |
| boxxy.fr         | kaiyou                   | Mails, sites, sous-domaines <span class='filter d-none'>mails sites subdomains</span> |
| cominety.net     | kaiyou                   | Mails, sites, sous-domaines <span class='filter d-none'>mails sites subdomains</span> |
| freeposte.io     | kaiyou                   | Mails, sites, sous-domaines <span class='filter d-none'>mails sites subdomains</span> |
| heylo.info       | kaiyou                   | Réservé contributeurs heylo <span class='filter d-none'></span> |
| mailu.io         | kaiyou                   | Mails, reste réservé Mailu <span class='filter d-none'>mails</span> |
| tedomum.eu.org   | TeDomum                  | Sites, sous-domaines <span class='filter d-none'>sites subdomains</span> |
| tedomum.fr       | TeDomum                  | Mails, sites, sous-domaines <span class='filter d-none'>mails sites subdomains</span> |
| tedomum.net      | TeDomum                  | Mails membres, reste réservé <span class='filter d-none'></span> |
| tedomum.org      | TeDomum                  | Pages Gitlab <span class='filter d-none'></span> |
| toutcasser.net   | kaiyou                   | Infrastructure de tests <span class='filter d-none'></span> |
| chantiez.fr      | kaiyou                   | Mails, sites, sous-domaines <span class='filter d-none'>mails sites subdomains</span> |
{{% /table %}}

<script defer="true" async="true">
  var selectFilter = document.getElementById("select-filter");
  selectFilter.classList.remove("d-none");
  function myFunction() {
    var input, filter, table, tr;
    input = document.getElementById("usage-filter");
    filter = input.value;
    table = document.querySelector(".table > table");
    tr = table.getElementsByTagName("tr");

    for (var i = 0; i < tr.length; i++) {
      var td = tr[i].querySelector("span.filter");
      if (td) {
        var txtValue = td.textContent;
        if (txtValue.includes(filter) || !filter) {
          tr[i].classList.remove("opacity-25");
        } else {
          tr[i].classList.add("opacity-25");
        }
      }
    }
  }
</script>
