---
title: Fediverse
---

## Généralités

Au cours de discussions ou tout simplement en consultant la documentation concernant nos services, il est possible de tomber sur le mot `Fediverse`. Cette page a justement pour but d'expliquer ce que cela sous-entend.

À noter qu'actuellement, le mot `Fediverse` fait débat quant à son appellation et son genre dans la langue française, comme on peut le voir dans [certains échanges](https://eldritch.cafe/@Sylvhem/100594142319525296).

## Explications

Avant de comprendre ce qu'est le `Fediverse`, commençons par parler du système le plus répandu qui est le `système centralisé`.

### Système Centralisé

La plupart des gros services web que nous connaissons utilisent ce système.
Nous avons un fournisseur unique (Twitter ou Youtube) qui met son service à disposition de tout le monde. Chacun peut s'inscrire et poster ses messages ou ses vidéos chez eux.

C'est que l'on appelle un `système centralisé`.

Même si ce système est très répandu, il est aussi limité, notamment sur les points suivants :

1. `Sécurité` : tout simplement car en stockant énormément de données chez un seul fournisseur, le risque est beaucoup plus important en cas de piratage (fuite de données massives).

1. `Vie privée` : un gros fournisseur (Youtube par exemple) a une masse importante de données sur différentes personnes et peut donc commencer à faire du traitement de masse. Cela peut par exemple servir pour savoir quand un utilisateur se connecte, quelles sont ses relations, ses goûts ou encore ses opinions sur divers sujets.

1. `Liberté` : le fournisseur se réserve le droit d'empêcher un utilisateur de s'exprimer en censurant ses comptes.

### Solution alternative

Afin de palier aux problèmes rencontrés avec les systèmes centralisés (voir chapitre précédent), la solution la plus évidente serait de créer plein de fournisseurs de service.
Il y aurait ainsi moins d'utilisateurs chez un seul et même fournisseur et donc moins de données stockées au même endroit.

Qui plus est, avec cette configuration, l'utilisateur est libre de s'inscrire où il le souhaite et peut donc s'inscrire chez un fournisseur qu'il connaît et en qui il a confiance.

Cependant, en appliquant cela, on aurait le même résultat que les forums. On aurait des petites communautés un peu partout et qui ne pourraient pas communiquer entre elles. Du coup, le contenu posté par les utilisateurs aurait une audience très faible.

En l'état, ce mode de fonctionnement n'est pas viable mais avec une petite touche de `Fediverse`, cela change tout !

### La magie du Fediverse ou encore la fédération des différents univers

L'idée du `Fediverse` peut être comparée aux mails.

Le système mail que nous utilisons aujourd'hui est composé de différents fournisseurs et pourtant on peut tous communiquer ensemble.

On peut donc avoir une adresse Gmail et envoyer un mail à une personne ayant une adresse Laposte et vice versa.

Avec la magie du Fediverse, il est donc possible d'avoir plusieurs petits fournisseurs pour un seul et même service et de voir les messages, photos ou vidéos postés par l'ensemble des utilisateurs de ce service. Un fournisseur a donc une instance d'un service.

Ci-dessous une image pour comprendre un peu mieux la différence entre les deux systèmes :

{{< figure src="images/1.png" link="images/1.png" target="_blank">}}

Comme on peut le voir sur l'image ci-dessus, le système fédéré peut être comparé à une galaxie composée de petites planètes que l'on nomme instances. Toutes ces instances (fournisseurs) communiquent entre elles de façon automatique, pour que leur service fasse partie d'un seul gros réseau.

En prenant un exemple plus concret : si un utilisateur s'inscrit sur l'instance [Peertube de TeDomum](https://video.tedomum.net/), il pourra alors lire une vidéo se trouvant sur autre instance comme <https://peertube-blablalinux.be> et la commenter s'il le souhaite. Les utilisateurs de cette autre instance verront également ses vidéos et pourront les commenter.

Aujourd'hui, plusieurs services composent le `Fediverse`, en voici quelques exemples :

- [Mastodon](/service/mastodon/) : une alternative à Twitter.
- [Peertube](/service/video/) : une alternative à Youtube.
- [Pixelfed](/service/pix/) : une alternative à Instagram.
- [Lemmy](https://github.com/LemmyNet/lemmy) : une alternative à Reddit.
- [Plume](https://github.com/Plume-org/Plume) : moteur de blog fédéré.

Même si les instances forment au final un gros réseau, chaque instance diffère de par les décisions que le fournisseur prendra.
Il pourra choisir une présentation différente ou encore établir des règles qui lui sont propres.

Par exemple, on peut être autorisé à poster une vidéo pornographique sur l'instance Peertube de TeDomum mais pas sur une autre instance.

La magie du `Fediverse` ne s'arrête pas là ! Un peu plus haut, nous avons parlé de galaxie. Le `Fediverse` permet de faire communiquer plusieurs services (galaxies) pour former un univers fédéré, d'où l'origine du nom `Fediverse` (mot-valise pour Federated Universe).

{{< figure src="images/2.png" link="images/2.png" target="_blank">}}

Ce qui veut dire qu'avec ce système, on peut suivre sur mastodon un compte Peertube et que dans sa timeline mastodon on en verra les vidéos.

À noter qu'à ce jour, la fédération entre service n'est pas encore entièrement fonctionnelle (exemple PixelFed)

### Et TeDomum dans tout ça ?

Tous les services de TeDomum n'y sont pas rattachés, mais Mastodon, Peertube, PixelFed et Write Freely le sont :)
