---
title: Authentification des requêtes
---

Lorsqu'une personne contacte l'équipe TeDomum pour toute requête relative à ses accès, son profil ou ses données personnelles, la requête doit être authentifiée avant que l'équipe puisse intervenir. Cette page décrit l'ensemble des méthodes d'authentification et les opérations autorisées pour chaque méthode.

## Opérations autorisées

Chaque méthode d'authentification est considérée pour certaines opérations. Lorsqu'aucune méthode ne convient pour l'opération souhaitée, tout moyen peut être employé à la discrétion de l'équipe après concertation interne. Lorsqu'aucune solution n'est identifiée, la requête ne peut être traitée.

{{% table %}}
| Opération | Contact Hiboo | Contact équipe | Depuis profil | Autre profil | Contact indirect | Identité réelle |
|-----------|:-------:|:-----:|:-----:|:----:|:----:|:----:|
| **Profil standard** |||||||
| Suppression de profil | Oui | Oui | Oui | Oui | Oui | Oui |
| Suppression de contenu du profil | Oui | Oui | Oui | Oui | Oui | Oui |
| Récupération de données publiques | Oui | Oui | Oui | Oui | Oui | Oui |
| Récupération de données privées | Oui | Oui | Oui | Non | Non | Oui |
| Réactivation de compte | Oui | Oui | Oui | Oui | Oui | Oui |
| Récupération d'accès (MDP, etc.) | Oui | Oui | Oui | Non | Non | Oui |
| Modification de configuration | Oui | Oui | Oui | Non | Non | Oui |
| **Compte à privilège** |||||||
| Réactivation de compte | Oui | Oui | Non | Non | Non | Oui |
| Récupération d'accès (MDP, etc.) | Oui | Oui | Non | Non | Non | Oui |
{{% /table %}}

- Un compte à privilège est un compte pouvant intervenir sur les profils d'autres personnes, y compris les comptes de l'équipe TeDomum elle-même.
- Une modification de configuration inclut toute modification du profil public ou de la configuration de l'application pour le profil en question.

## Méthodes d'authentification

### Contact renseigné dans Hiboo

Lorsque la demande concerne un profil associé à un compte Hiboo, elle peut être authentifiée en échangeant via les moyens de contact mentionnés dans le compte Hiboo.

> À date, seul un administrateur technique Hiboo peut afficher ces moyens de contact ; une interface de vérification des moyens de contact sera proposée à l'équipe communauté dès que possible.

Cette méthode est valide dans les conditions suivantes :

- la demande provient d'une adresse Matrix renseignée dans le compte Hiboo ;
- lorsque la demande provient d'une adresse e-mail hébergée chez TeDomum renseignée dans le compte Hiboo ;
- lorsque la demande provient d'une adresse e-mail renseignée dans le compte Hiboo mais pas hébergée chez TeDomum, que l'équipe TeDomum a répondu à cette adresse uniquement et attendu une confirmation de la requête ;
- lorsque la demande provient d'un moyen tiers, que l'équipe TeDomum a contacté la personne au moyen fourni et confirmé la requête directement.

### Contact renseigné par l'équipe

Lorsque la demande concerne un profil créé par l'équipe TeDomum, qui a mentionné en interne un moyen de contact à la création ou conservé une trace des échanges liés à la création, elle peut être authentifiée en échangeant via ce moyen de contact.

Les exemples incluent :

- contact renseigné en commentaire pour un domaine e-mail, un compte e-mail ;
- contact renseigné en commentaire pour un domaine DNS ;
- contact renseigné en login d'un blog Wordpress ;
- contact renseigné en login d'un compte Pixelfed ;
- contact renseigné en login d'un compte TTRSS.

Cette méthode est valide dans les mêmes conditions que le contact renseigné sur Hiboo.

### Contact depuis le profil-même

Lorsque la demande provient d'un profil sur un service de TeDomum via un moyen de messagerie propre à ce service, alors elle est authentifiée pour pour ce profil particulier.

Cette méthode est valide dans les conditions suivantes :

- message reçu sur Matrix pour le profil Matrix lui-même ;
- e-mail reçu depuis une adresse hébergée pour l'e-mail lui-même ;
- message privé Mastodon pour le profil Mastodon concerné ;
- *issue* Gitlab pour le profil créant l'issue.

## Autre profil du compte Hiboo

 Lorsque la demande concerne un profil associé à un compte Hiboo et que le compte est associé à d'autres profils, alors elle peut être authentifiée en échangeant via un moyen de messagerie d'un de ces autres profils.

 Cette méthode est valide dans les mêmes conditions que le contact depuis le profil-même.

## Contact renseigné indirectement

 Lorsque la demande concerne un profil mentionnant un moyen de contact de façon indirecte, alors elle peut être authentifiée en échangeant via ce moyen de contact.

 Les exemples de mention indirecte incluent :

- adresse e-mail mentionnée dans un profil Mastodon ;
- adresse e-mail renseignée pour les notifications Gitlab, NextCloud, etc. ;
- adresse de contact renseignée sur un site personnel mentionné dans un profil public ;
- adresse de contact mentionnée dans un message public.

 Cette méthode est valide dans les mêmes conditions que le contact renseigné dans Hiboo.

## Identité réelle renseignée

 Lorsque la demande provient d'un profil où il est fait mention d'une identité réelle, cette demande peut être authentifiée en confirmant l'identité.

 La vérification d'identité ne peut être attestée que par une personne membre de l'équipe échangeant personnellement avec la personne concernée, soit que les deux aient préalablement établi une relation personnelle, soit que les deux se rencontrent à cette fin. Aucune copie de document d'identité officiel ne peut être demandée en ligne pour authentifier la demande, l'équipe TeDomum n'étant pas compétente pour vérifier la validité ni pour manipuler des informations de cette sensibilité.
