---
title: "Valeurs"
subtitle: Nos principes de base
---

L'association et le service rendu sont organisés autour de trois principes fondamentaux que sont la sécurité des données et services, le respect de la vie privée dû à chacun, et l'exercice accompli des libertés individuelles, à commencer par la liberté d'expression. Ces valeurs sont inscrites à notre règlement intérieur et doivent être respectées et promues par l'ensemble de nos membres.

{{% row %}}

{{% iconcard shield-alt "Sécurité" %}}
La sécurité consiste à assurer que les données hébergées sur notre plateforme restent confidentielles et intègres pour celles qui le nécessitent, à ce que nos services soient également disponibles avec le moins d'interruptions possibles. Ces conditions servent de base aux autres principes.

Les serveurs sont administrés par les membres habilités exclusivement, compétents en sécurité, et les actions sont suivies. L'ensemble des données, les communications entre nos serveurs, les flux de sauvegardes et les sauvegardes elles-mêmes, y compris hors-lignes, sont chiffrées. Nous insistons enfin sur la mise à disposition de services sécurisés TLS à l'état de l'art.
{{% /iconcard %}}

{{% iconcard user-secret "Vie privée" %}}
Le respect de la vie privée sur Internet tient dans la collecte ou le recoupement du moins de données possible susceptibles de révéler des comportements, des opinions ou des orientations privées des utilisateurs. Il s'agit à notre sens d'un droit fondamental et nous mettons toujours la vie privée des utilisateurs avant les fonctionnalités ou l'intérêt des administrateurs.

Les journaux sont anonymisés lorsque possible ; nous conservons l'historique des requêtes effectuées et l'adresse IP source pour faciliter le débogage, pendant 14 jours. Les données sont conservées exclusivement sur la plateforme et ne sont jamais divulguées à des tiers hors autorités compétentes sur réquisition judiciaire.
{{% /iconcard %}}

{{% iconcard lock-open "Libertés" %}}
Les fondateurs, les administrateurs, et nous espérons les utilisateurs sont tous animés par le respect des libertés liées à l'information dans notre société, notamment sur Internet. Parmi ces libertés, la liberté d'expression nous paraît essentielle à protéger, car dépendante de l'outil technique qu'est Internet.

Aussi, la liberté est au cœur de nos usages dans la gestion de l'association et des services. Tous les services emploient des logiciels libres et respectueux des libertés. Tous les serveurs reposent sur du logiciel libre. Nous privilégions également les services favorisant l'exercice de la liberté d'expression en ne permettant pas la censure centrale ou garantissant l'anonymat des auteurs.
{{% /iconcard %}}

{{% /row %}}

## Orientations

Les orientations présentées à suivre ne sont pas exhaustives. Il s'agit des principes mis en œuvre au quotidien pour favoriser le respect de nos valeurs.

{{% row %}}

{{% iconcard project-diagram "Fédération" %}}
Le modèle technique de fédération nous paraît être le plus proche de l'Internet et de nos valeurs. Grâce à des services fédérés tels que Mastodon, Matrix ou PeerTube, nous espérons pouvoir progresser rapidement.

Aucun nœud d'une fédération ne renferme toutes les données, facilitant la sécurité et évitant le recoupement dangereux pour la vie privée.  Aucun nœud d'une fédération n'est indispensable, limitant la censure et favorisant la liberté d'expression.
{{% /iconcard %}}

{{% iconcard rocket "Fonctionnalités" %}}
Nous sommes avant tout utilisateurs de nos services, et comme tous administrateurs particulièrement avides de fonctionnalités. Nous déployons exclusivement du logiciel libre, mais ne mettons pas les fonctionnalités de côté pour autant. Chaque nouveau service est étudié et testé en amont, plusieurs solutions sont envisagées lorsqu'elles existent et nous évaluons notamment les fonctionnalités de chaque outil.
{{% /iconcard %}}

{{% iconcard tachometer-alt "Performances" %}}
Nous n'avons jamais privilégié les performances à la sécurité ou au respect de la vie privée. Nous y accordons toutefois une importance, notamment parce que nous sommes premiers utilisateurs de nos services. Nous chassons régulièrement les lenteurs et tâchons de déployer des technologies adaptées à un fonctionnement performant dans notre environnement contraint par le budget. L'ensemble de nos services Web supportent HTTP/2, les services sont isolés à base de Docker, etc.
{{% /iconcard %}}

{{% iconcard bullhorn "Essaimage" %}}
Nous ne sommes rien. TeDomum est et doit rester une goutte d'eau dans l'Internet et continuera d'héberger ses services pour le petit nombre ; la concentration des usages et des services est privatrice de libertés. Plutôt que de grossir, l'un de nos objectifs est l'essaimage : documenter et enseigner suffisamment pour que d'autres puissent se lancer dans la même aventure et nous compléter. Nous adhérons à ce titre au manifeste Chatons.
{{% /iconcard %}}

{{% iconcard flask "Expérimentations" %}}
Pas tout à fait un laboratoire pour autant, TeDomum est le sujet de nombreuses expérimentations. L'infrastructure a reposé sur des dizaines de technologies différentes depuis 2008, les services sont conteneurisés depuis 2010, nous avons déployé IPv6 à partir de 2009 et continuons d'expérimenter et tâchons de documenter nos retours d'expérience. Nous expérimentons régulièrement sur le plan fonctionnel en installant de nouveaux services en "beta", n'hésitez pas à proposer vos idées !
{{% /iconcard %}}

{{% iconcard child "Humanité" %}}
Nous sommes humains, les utilisateurs de nos services le sont aussi. Rien ne surpasse le contact humain lorsqu'il s'agit de bâtir de nouvelles communautés, d'enseigner, de convaincre, ou simplement d'aider. L'erreur aussi est humaine, et nous sommes toujours disponibles pour accompagner (« je ne peux plus me connecter ! ») ou réparer (« j'ai supprimé mon fichier par erreur ! »). Nous attendons la même tolérance de nos utilisateurs lorsqu'en plein best effort nous commettons malheureusement des erreurs.
{{% /iconcard %}}

{{% iconcard hands-helping "Respect" %}}
Le respect est au centre de nos usages et l'une de nos valeurs fortes. Respect de l'autre, de sa communauté, et respect de la loi. D'abord nous ne tolérons pas les comportements irrespectueux et nous nous réservons le droit de bannir un utilisateur pour ces raisons ; nous ne censurerons pas de contenu publié pour autant, n'en modifierons encore moins. Ensuite, dans le respect de la loi et en qualité d'hébergeur, nous ôterons de nos serveurs tout contenu signalé illégal au sens français et répondons le cas échéant aux réquisitions judiciaires.
{{% /iconcard %}}

{{% iconcard umbrella "Résilience" %}}
Nos données sont précieuses. Nous mettons donc non seulement l'accent sur la sécurité pour les protéger contre une divulgation à des parties malintentionnées, mais nous les protégeons également contre les intempéries ou la destruction par malveillance. À ce titre, si nos services sont fournis au best effort (meilleurs résultats possibles, mais aucune garantie), nous tâchons toutefois d'approcher les 99.95% de disponibilité et assurons surtout des sauvegardes de l'ensemble de nos données plusieurs fois par jour, répliquées également sur supports hors-ligne.
{{% /iconcard %}}

{{% iconcard users "Communauté" %}}
Plus que des services individuels, nous souhaitons que l'association abrite une communauté. Nous avons volontairement refusé que l'adhésion soit la porte d'entrée, pour faciliter au contraire l'accès libre et anonyme aux services si besoin. Nous avons toutefois mis en place les moyens nécessaires pour que les membres et utilisateurs réguliers se retrouvent et échangent. Nous organisons régulièrement des rencontres en France autour d'un verre ou d'un repas, n'hésitez pas à venir échanger !
{{% /iconcard %}}

{{% iconcard book "Formation" %}}
Aucun de nous, administrateurs compris, n'est omniscient. Aussi, documenter est primordial, apprendre et enseigner est d'autant plus essentiel. Nous tâchons de former du mieux possible les nouveaux administrateurs, d'accompagner les utilisateurs.
{{% /iconcard %}}

{{% iconcard share-alt "Partage" %}}
Documenter nos configurations et nos progrès, partager nos créations, c'est l'un des propos de la structure associative de TeDomum. Vous pouvez retrouver l'essentiel de nos projets en public sous forme de dépôts Gitlab, de dépôts Github et d'images Docker publiques.
{{% /iconcard %}}

{{% iconcard hand-spock "Amour" %}}
Plaisanterie de côté, nous aimons notre rôle dans l'aventure et dans les projets, nous apprécions nos coéquipiers et les utilisateurs de nos services. Merci de soutenir le projet et ses valeurs. Longue vie et prospérité.
{{% /iconcard %}}

{{% /row %}}
