---
title: japet
---

## Usages de Japet

Japet est employé à deux usages principaux :

- la supervision des services de TeDomum (<https://status.tedomum.net>) ;
- les runners Gitlab partagés.

## Gestion des conteneurs

L'ensemble des données spécifiques aux applications, donc l'ensemble des données des conteneurs est stocké dans `/srv`.

Le `/srv` lui-même est découpé en fonction des usages :

- `/srv/curiositty` : service de supervision ;
- `/srv/anna` : précédent service de supervision (arrêté) ;
- `/srv/runner` : configuration des runners Gitlab ;

## Démarrage

Au démarrage, les runners Gitlab démarrent automatiquement. Il est nécessaire de démarrer manuellement
curiositty :

```bash
cd /srv/curiositty
docker-compose up -d
```

Les dépendances n'étant pas déclarées, aussi si un service refuse de démarrer, relancer la commande de démarrage résoud le problème dans 99% des cas.

## Mise à jour

Les serveurs sont basés sur Debian pour l'essentiel. Les mises à jour sont déployées via `apt` :

```bash
apt update
apt upgrade
```

Avant chaque validation de mise à jour, les paquets causant des redémarrages du démon Docker ou d'un démon crucial dont l'objet d'une revue. Les utilisateurs sont avertis avant mise à jour.

## Récupérer de l'espace disque

Les runners Gitlab consomment des ressource Docker, il est recommandé de les nettoyer régulièrement :

```bash
docker system prune
docker volume prune
```
