---
title: Blogs
summary: Gérez un site personnel ou relatez votre vie sur un blog Wordpress.
website: https://blogs.tedomum.net
categories:
- publish
features:
- contact
---

## Généralités

Le service `Blogs` est basé sur l'[outil WordPress](https://fr.wordpress.org/).

WordPress est un système de gestion de contenu (SGC ou content management system (CMS) en anglais) et permet à tout utilisateur de créer son site web ou blog sans avoir de connaissance en langage HTML, CSS, etc.

## Inscription

Un compte est nécessaire afin de pouvoir utiliser WordPress.
Pour créer un compte, il vous faut [contacter un administrateur](../../member/).

Lorsque votre compte sera créé, vous recevrez un mail pour configurer votre mot de passe.

## Utilisation

Pour utiliser le service, rendez-vous sur [la page de connexion](https://blogs.tedomum.net/) ou utilisez l'URL de votre site en ajoutant derrière `/wp-admin/` comme ceci :

`https://test.blogs.tedomum.net/wp-admin/`

Vous aurez alors une page similaire à celle-ci pour entrer vos identifiants :

{{< figure alt="Page d'authentification de Wordpress" src="1.png" link="1.png" target="_blank">}}

### Interface

Une fois connecté, vous vous retrouverez avec cette interface :

{{< figure alt="Dashboard d'administration WordPress" src="2.png" link="2.png" target="_blank">}}

Le bandeau du haut s'affichera sur toutes les pages WordPress que vous visiterez, que ce soit dans l'interface admin, sur les pages de votre site ou celles d'un autre site WordPress hébergé sur TeDomum.

Celle-ci permet d'accéder rapidement aux éléments ci-dessous :

- informations et documentation à propos de WordPress (logo WordPress) ;
- accéder à vos différents sites ;
- voir votre site ;
- accéder aux commentaires laissés sur votre site ;
- créer du contenu ou ajouter un utilisateur à votre site ;
- gérer votre profil.

Le bandeau de gauche vous permettra de gérer tous les aspects de votre site :

- `Tableau de bord` : contient différentes informations sur vos sites et informations WordPress ;
- `Articles` : permet de gérer vos articles ;
- `Média` : permet de gérer vos fichiers. À noter que de base, vous disposez d'un espace de 200 Mo sur TeDomum ;
- `Pages` : permet de gérer vos pages ;
- `Commentaires` : permet de gérer les commentaires de votre site ;
- `Apparence` : personnaliser l'apparence de votre site ;
- `Extension` : pour activer ou désactiver des options supplémentaires ;
- `Utilisateurs` : gérer les utilisateurs qui ont un compte sur votre site et leurs droits ;
- `Outils` : pour l'import/export de données, la gestion des noms de domaine ou encore la suppression définitive du site ;
- `Réglages` : pour définir divers paramètres sur votre site.

### Éditer un article ou une page

Lorsque vous éditez un article ou une page, vous avez la possibilité d'utiliser un éditeur `WYSIWYG` (What you see is what you get ou en français ce que vous voyez est ce que vous obtenez) ou `code source`.

Depuis la version 5.0 appliquée le 9 décembre 2018, un nouvel éditeur de contenu a été mis en place.
De notre côté, [nous avons conservé l'ancien éditeur par défaut et donné la possibilité à chaque admin d'activer ou non ce nouvel éditeur](https://mastodon.tedomum.net/@tedomum/101211928385522066).

#### Éditeur Visuel (WYSIWYG)

C'est celui visible par défaut (onglet visuel). Il permet d'éditer votre page web simplement comme si vous étiez sur un logiciel de traitement de texte :

{{< figure alt="Éditeur what you see is what you get" src="3.png" link="3.png" target="_blank">}}

Le résultat définitif sera donc similaire à ce que vous aviez durant l'édition :

{{< figure alt="Éditeur what you see is what you get" src="4.png" link="4.png" target="_blank">}}

#### Éditeur Texte (code source)

Il est possible d'activer cet éditeur en allant sur l'onglet `texte`. Dans ce cas, vous aurez alors le code source (HTML) de la page ou de l'article en cours d'édition. Voici ce que cela donne en reprenant l'exemple ci-dessus :

{{< figure alt="Éditeur texte" src="5.png" link="5.png" target="_blank">}}

À noter que vous avez la possibilité de désactiver l'éditeur visuel dans les paramètres de votre compte :

{{< figure alt="Configuration de l'éditeur texte" src="6.png" link="6.png" target="_blank">}}

### Intégrer une vidéo ou un son hébergé sur une autre plateforme

Lors de la rédaction de vos articles, il est possible que vous ayez besoin d'intégrer des éléments extérieurs au niveau du contenu. En fonction de l'origine du contenu, les actions à effectuer peuvent être différentes. Vous trouverez ci-dessous les principaux exemples.

#### Vidéo YouTube

Pour intégrer une vidéo YouTube à votre article, il suffit de copier/coller le lien dans l'éditeur visuel. Le lien se convertira alors automatiquement en lecteur compatible avec Wordpress.

#### Vidéo PeerTube

Le principe est exactement le même qu'avec YouTube. À noter cependant que cela ne fonctionnera qu'avec des vidéos listées publiquement.

#### Musique ou playlist SoundCloud

Pour cela, il faut activer l'extension Jetpack pour avoir le [shortcode SoundCloud](https://wordpress.com/support/soundcloud-audio-player/#soundcloud-shortcode) : `[soundcloud url="https://soundcloud.com/claude-debussy/clair-de-lune"]`

Il vous suffit de remplacer l'URL par celle de votre playlist.

#### Musique ou playlist Spotify

Il suffit de copier le lien de la playlist/musique directement dans l'éditeur visuel pour que cela fonctionne. Pour récupérer le lien d'une playlist/musique, il suffit de cliquer sur les `...` puis `Copier le lien [...]` comme ci-dessous :

{{< figure alt="Playlist Spotify" src="6-2.png" link="6-2.png" target="_blank">}}

### Apparence

Dans ce menu, vous avez la possibilité de choisir le thème à appliquer à votre site :

{{< figure alt="Choix d'un thème" src="7.png" link="7.png" target="_blank">}}

Il est également possible de tester le thème avant de l'appliquer :

{{< figure alt="Aperçu d'un thème" src="8.png" link="8.png" target="_blank">}}

Ce qui vous donnera un aperçu comme celui ci-dessous :

{{< figure alt="Aperçu d'un thème" src="9.png" link="9.png" target="_blank">}}

Si le thème vous convient, il restera alors à cliquer sur `Activer & Publier`.

À noter qu'actuellement, nous proposons 34 thèmes, mais il est possible d'en ajouter d'autres sur demande. [Le site WordPress recense les thèmes disponibles](https://wordpress.org/themes/).

En plus du choix du thème, vous aurez la possibilité de personnaliser vos menus, en-têtes et widgets.

#### Thèmes sans Google fonts

Si vous recherchez un thème n'utilisant pas les Google Fonts, alors l'un de ces thèmes est fait pour vous :

- Asusena
- Admired => Possibilité d'activer ou désactiver dans les options
- ChocoTheme
- deCoder
- Delicate
- Headless
- inLine
- Northern-Clouds
- Responsive
- Shell Lite
- Smooth
- Susty
- Twenty Eleven
- Twenty Ten

### Extensions

[Les extensions](https://wordpress.org/plugins/) permettent d'apporter de nouvelles fonctionnalités à WordPress et à votre site. Une liste d'extensions est proposée par TeDomum, mais n'hésitez pas à nous contacter pour en ajouter une.

### Rôles utilisateurs

Il existe [différents rôles](https://codex.wordpress.org/Roles_and_Capabilities) pour les utilisateurs de votre site. Il est donc important de savoir ce que chaque rôle permet de faire afin d'attribuer les droits nécessaires à chaque utilisateur.

- `Administrateur` : ce rôle donne tous les privilèges possibles à votre site. De ce fait, il est conseillé de n'avoir qu'un seul administrateur.
- `Editeur` : donne accès en création et modification à toutes les pages et à tous les articles du site ainsi qu'aux médias.
- `Autheur` : donne accès en création, publication et en modification sur ses propres articles et médias.
- `Contributeur` : donne accès en création et en modification sur ses propres articles. Un contributeur ne peut pas ajouter de média ni publier un article.
- `Abonné` : n'a que des droits de lecture

## Quotas proposés par TeDomum

Vous trouverez ci-dessous le stockage proposé par défaut ainsi que les quotas maximums que nous appliquons :

- Base : 1 Go
- Quota Max : 2 Go
- Quota Max pour un membre de l'association : 5 Go

Les quotas ont été revisés le 23 août 2020, car les anciens quotas limitaient fortement l'upload de fichiers et notamment des photos qui prennent aujourd'hui pas mal d'espace.

Pour faire évoluer votre compte, il suffit de [prendre contact avec l'un de nos administrateurs](../../member/) sur Matrix, Mastodon ou encore par mail.

## Liens utiles

Afin de vous aider dans la création de votre site, vous pouvez consulter les sites suivants :

- Le site officiel du projet WordPress : <https://wordpress.org/>
- Le site WP Formation : <https://wpformation.com/wordpress/>

## Autres instances

Il existe d'autres instances WordPress. Si vous ne trouvez pas votre bonheur chez nous, peut-être le trouverez-vous ailleurs ?
Ci-dessous une liste d'instances :

- <https://www.infini.fr/>
- <https://nomagic.uk/>

À noter que vous en trouverez certainement d'autres du côté des [chatons](https://chatons.org/).

## Problèmes connus et solutions possibles

Vous trouverez ci-dessous une page listant les problèmes connus et les solutions possibles à appliquer. Cette page peut servir à un simple utilisateur tout comme à un administrateur du service.
