---
title: Problèmes & solutions connues
---

En utilisant ou en administrant un service, il est possible de rencontrer des problèmes. Cette page a pour but de lister les principaux problèmes rencontrés et les solutions pouvant être appliquées.

## Problème avec le formulaire de contact

Lorsque vous avez les droits administrateurs sur un blog, vous pouvez insérer un formulaire de contact afin que vos utilisateurs puissent vous contacter sans exposer votre adresse email au monde entier et de ce fait, éviter d'être spammés.

Cependant, il se peut qu'en utilisant les extensions [Contact Form 7](https://fr.wordpress.org/plugins/contact-form-7/) et [WP Mail SMTP](https://fr.wordpress.org/plugins/wp-mail-smtp/), une erreur apparaisse après avoir rempli et soumis le formulaire de contact :

{{< figure src="10.png" link="10.png" target="_blank">}}

Du côté de l'interface admin, l'erreur suivante sera affichée par [WP Mail SMTP](https://fr.wordpress.org/plugins/wp-mail-smtp/) :

{{< figure src="11.png" link="11.png" target="_blank">}}

Le message annonce simplement que Wordpress essaye d'envoyer un mail avec votre adresse `monadresse@domaine.fr` au lieu de l'adresse `noreply@tedomum.net` qui est la seule autorisée. Pour corriger ce problème, il faut aller dans les réglages de `WP Mail SMTP` et dans la partie concernant l'adresse d'envoi, cocher simplement la case `Forcer l’e-mail d’expédition` comme ci-dessous :

{{< figure src="12.png" link="12.png" target="_blank">}}

Et bien entendu, il ne faut pas oublier de sauvegarder après avoir coché la case pour que les changements soient pris en compte :)

## Interface admin – Icône personnalisée manquante pour un site

Après le passage à la version 5.8 de WordPress, les icônes de certains sites ne s'affichaient plus, exemple ci-dessous :

{{< figure src="13.png" link="13.png" target="_blank" >}}

Cela vient du fait que le HTTPS est manquant ; voici comment corriger cela :

1. Sur la page d'accueil du tableau de bord, regarder l'état de santé du site et cliquer sur le lien menant à l'écran :

{{< figure src="14.png" link="14.png" target="_blank">}}

1. Sur la page suivante, attendre un peu que tous les tests se fassent, ce qui devrait indiquer le résultat suivant :

{{< figure src="15.png" link="15.png" target="_blank">}}

1. Cliquer sur le lien qui propose de faire la mise à jour pour l'utilisation du HTTPS et le problème devrait être corrigé :)
