---
title: Nom de domaine
summary: Hébergez vos noms de domaines ailleurs que chez votre registrar !
website: https://dns.tedomum.net/
categories:
- other
features:
- contact
- sso
---

## Généralités

DNS est le protocole de résolution de noms d'Internet. Il repose sur des serveurs spécifiques, qui traduisent les noms en adresses IP et autres résolutions. Les serveurs DNS sont organisés en hiérarchie : les serveurs de la « racine » délèguent par pays ou par organization les « .fr », « .com », etc. qui délèguent eux-mêmes par nom de domaine.

Lorsque vous réservez un nom de domaine (par exemple auprès de OVH ou Gandi, qui sont alors vos « registrar »), votre registrar joue généralement le rôle d'hébergeur pour le nom de domaine en question et fournit un serveur DNS. TeDomum fournit ses propres serveurs DNS, pour ses usages propres, mais également pour quiconque souhaiterait héberger son nom de domaine ailleurs que chez son registrar.

Attention : en général, le service d'hébergement de domaine fourni par le registrar est gratuit ; c'est le traitement administratif du dossier qui est facturé. Aussi, héberger votre nom de domaine chez TeDomum n'en diminuera pas le coût.

## Inscription au service

Pour vous inscrire, vous devez faire appel à un administrateur. Pour cela, le plus simple est de nous contacter directement via [Matrix](https://element.tedomum.net/#/room/#home:tedomum.net).

## Utilisation des DNS TeDomum

### Adresse des serveurs NS de TeDomum

Nos serveurs NS sont :

- ``dns1.tedomum.net``
- ``dns2.tedomum.net``

Ces noms doivent être transmis à votre registrar pour être inscrits en NS délégués pour votre domaine. N'inscrivez jamais directement les adresses IP, et ne renseignez pas de glue record : nous pouvons modifier les adresses IP associées à ces serveurs NS.

### DNS autoritaire vs. DNS récursif

TeDomum fournit **exclusivement** un service de DNS autoritaire : vous pouvez déléguer la gestion d'une zone chez nous. Nous ne fournissons aucun DNS récursif.

Aussi : pas la peine de configurer les adresses de nos NS pour la résolution DNS sur vos machines.

### Gestion de votre zone

Nous utilisons une version modifiée de PowerDNS-Admin pour gérer les zones.

L'interface est accessible à <https://dns.tedomum.net>.

Fonctionnalités supportées :

- multi-zones (vous pouvez avoir plusieurs zones déléguées sur un compte) ;
- push automatique (lorsque vous validez, la configuration est poussée sur nos deux NS) ;
- reverse automatique (si vous gérez une zone reverse, les PTR seront créés automatiquement) ;
- DNSSEC (activable par un admin et par zone, les clés ne sont **pas** stockées en HSM).
