---
title: Gitlab
summary: Qui n'a jamais rêvé de ses propres dépôts Git pour gérer des projets privés ?
website: https://forge.tedomum.net/
categories:
- collaborate
features:
- sso
---

## Généralités

Nous utilisons [GitLab CE](https://about.gitlab.com/) pour notre documentation et notre suivi de maintenance.

## Utilisation de l'outil

Cet outil est composé par projet :

{{< figure src="images/1.png" link="images/1.png" target="_blank">}}

Il est donc important de sélectionner le bon projet pour accéder aux données recherchées.

### Documentation

Toute notre documentation est regroupée dans le wiki du projet `TeDomum / Documentation` :

{{< figure src="images/2.png" link="images/2.png" target="_blank">}}

Une fois le wiki ouvert, vous aurez une page similaire :

{{< figure src="images/3.png" link="images/3.png" target="_blank">}}

En cas d'erreur ou de suggestion de modification sur une de nos documentations, n'hésitez pas à nous en faire part sur [matrix](https://element.tedomum.net/#/room/#home:tedomum.net) ou à créer un ticket, voir chapitre ci-dessous.

### Gestion de la partie support (tickets)

#### Consultation des tickets

Les tickets sont gérés par projet. Pour y accéder, il faut donc sélectionner un projet. Exemple avec PeerTube :

{{< figure src="images/4.png" link="images/4.png" target="_blank">}}

En cliquant sur le menu liste, vous obtiendrez une page similaire à celle ci-dessous :

{{< figure src="images/5.png" link="images/5.png" target="_blank">}}

Comme vous pourrez le voir, les tickets possèdent différentes étiquettes pour identifier rapidement s'il s'agit d'un bug, d'une suggestion, d'une mise à jour, etc. Si vous ne souhaitez voir que les tickets pour une étiquette donnée (bug par exemple), il suffit de cliquer sur l'étiquette concernée pour afficher tous les tickets du même style :

{{< figure src="images/6.png" link="images/6.png" target="_blank">}}

Il est également possible de générer un tableau de bord pour les tickets afin de voir facilement dans quelle catégorie ils sont classés :

{{< figure src="images/7.png" link="images/7.png" target="_blank">}}

Pour avoir cette page, il suffit d'aller dans le menu `Ticket > Tableau`.

Il reste possible d'[afficher l'ensemble de tous les tickets ouverts](https://forge.tedomum.net/groups/tedomum/-/issues) (tous projets confondus).

#### Création d'un ticket

Pour créer un ticket, il faut tout d'abord sélectionner le projet pour lequel un ticket doit être ouvert. Par exemple, si vous rencontrez un problème avec PixelFed, il suffit alors de sélectionner le projet `TeDomum / Pixelfed`, d'aller dans la partie `tickets` et de cliquer ensuite sur `New Issue` :

{{< figure src="images/8.png" link="images/8.png" target="_blank">}}

Vous aurez alors le formulaire ci-dessous à remplir :

{{< figure src="images/9.png" link="images/9.png" target="_blank">}}

Dans le cas d'une suggestion pour la mise en place d'un service n'existant pas chez TeDomum, nous vous invitons à ouvrir un ticket dans la partie [Documentation](https://forge.tedomum.net/tedomum/documentation/issues).

### Créer son propre projet

Après vous être connecté via Hiboo, une page listant les projets publics (ou privés auxquels vous avez accès) s'affichera. Si vous souhaitez créer votre propre projet, il suffit alors de cliquer sur le bouton `New project` :

{{< figure src="images/10.png" link="images/10.png" target="_blank">}}

Ce qui vous ouvrira la page suivante :

{{< figure src="images/11.png" link="images/11.png" target="_blank">}}

À partir de là, vous pouvez choisir entre :

- créer un projet vierge où il faudra tout créer ;
- partir sur un template qui préconfigurera le projet ;
- importer un projet venant d'ailleurs pour en avoir une copie conforme ;
- suivre les instructions pour créer un projet via votre terminal.

## Changer la langue sur Gitlab

Lorsque vous aurez créé votre compte, il vous sera possible de changer la langue de Gitlab dans les paramètres de votre compte.

À noter que la traduction est loin d'être complète pour le moment.

## Installer un Runner Gitlab Ci

La forge Gitlab intègre un support d'intégration continue via Gitlab CI. Afin de construire votre projet, vous pouvez au choix :

- utiliser un build reposant sur une image Docker et construire grâce au runner Docker partagé disponible pour tous les projets (vous ne pourrez en revanche pas l'utiliser pour construire une image Docker) ;
- nous solliciter pour utiliser un runner restreint, sous réserve d'acceptation par les administrateurs, notamment de garanties sur les tâches lancées sur ces runners ;
- utiliser votre propre runner.

Afin d'installer un runner, suivez d'abord les instructions à cette adresse : <https://docs.gitlab.com/runner/install/>. Nous recommandons une installation sur une machine virtuelle Debian 10 au minimum et le déploiement via le dépôt APT de Gitlab.

Puis, démarrez la commande `gitlab-runner register` et répondez aux questions suivantes :

- serveur : `https://forge.tedomum.net/` ;
- token : utilisez le token de l'un de vos dépôts, idéalement du premier dépôt pour lequel vous souhaitez tester ;
- mode : `shell` (le principal mode que nous supportons).

Pour construire d'autres projets avec ce runner, merci de contacter un administrateur afin qu'il active le runner sur ces autres projets. Si tous les projets que vous souhaitez construire sont dans un même groupe Gitlab, vous pouvez également enregistrer le runner avec un token de groupe ; en revanche, il ne pourra plus être activé sur un projet en dehors de ce groupe, même par un administrateur.

Si vous souhaitez construire des images Docker, vous pouvez activer le mode *AutoDevops* de Gitlab, paramétré sur notre forge exclusivement pour construire et publier sur le dépôt Gitlab les images Docker des projets. Afin que la construction réussisse, il est nécessaire que Docker soit installé sur la machine où vous construisez l'image et que l'utilisateur `gitlab-runner` puisse exécuter des conteneurs Docker. Reportez-vous à la [documentation Docker](https://docs.docker.com/install/linux/docker-ce/debian/) à ce sujet.

## Autres instances

Il existe d'autres instances Gitlab. Si vous ne trouvez pas votre bonheur chez nous, peut-être le trouverez-vous ailleurs ?
Ci-dessous une liste d'instances :

- <https://framagit.org/>
- <https://git.roflcopter.fr/>
- <https://gitlab.adullact.net/>

À noter que vous en trouverez certainement d'autres du côté des [chatons](https://chatons.org/).
