---
title: Mails
summary: Des comptes e-mail gratuits, sur vos domaines. Comme Gmail, l'espionnage en moins.
website: https://mail.tedomum.net/sso/login
categories:
  - communicate
features:
  - contact
---

## Généralités

Ce service vous permet tout simplement d'échanger des emails avec qui vous souhaitez.
Notre service mail est basé sur [Mailu](https://mailu.io/).

## Création d'une adresse email

Si vous souhaitez disposer d'une adresse email, vous pouvez [nous contacter](https://tedomum.net/member/) afin qu'un administrateur la configure.

Pour cela, il faudra fournir l'adresse et le domaine voulu. À noter que [TeDomum propose des domaines](../../general/domains/), mais qu'il est également possible d'[utiliser son propre domaine](#utiliser-les-emails-tedomum-avec-son-propre-domaine).

## Changer de mot de passe et gérer les options de son adresse email

Après la création de votre adresse email, il vous sera demandé de changer le mot de passe reçu pour la première connexion.

Pour cela, il suffit de passer par cette interface : <https://mail.tedomum.net/admin/>

Elle vous permettra également de gérer d'autres options de votre adresse email comme la mise en place d'un message d'absence ou encore la redirection des messages reçus vers une autre adresse avec possibilité ou non de garder une copie des messages.

## Utiliser les emails TeDomum avec son propre domaine

Il est possible d'héberger vos emails chez TeDomum tout en utilisant votre domaine personnel. La première étape est de [nous contacter](https://tedomum.net/member/) afin qu'un administrateur configure un compte principal pour administrer votre domaine. L'administrateur vous donnera un mot de passe provisoire qu'il vous faudra changer à la première connexion.

### Configurer la zone DNS chez votre registrar

Pour obtenir les informations à renseigner dans la zone DNS de votre registrar, connectez-vous à l'interface d'administration en suivant ce lien : <https://mail.tedomum.net/admin/>.

Puis cliquez sur « domaines ».

{{< figure src="images/domain1.png" link="images/domain1.png" target="_blank">}}

Cliquez ensuite sur le bouton de la colonne actions. Vous trouverez ici les informations à renseigner dans la zone DNS de votre registrar.

{{< figure src="images/domain2.png" link="images/domain2.png" target="_blank">}}

### Si des adresses email existent déjà sous ce domaine

Commencez par renseigner tout **sauf** le `MX`. Vous pouvez régler le TTL à 300 ou 600 secondes.  
Attendez une heure, le temps que les caches DNS expirent, puis recréez vos adresses email préalablement existantes. Vous pouvez alors renseigner le `MX` dans la zone DNS de votre registrar. Le trafic email de votre domaine sera dès lors livré chez TeDomum.

### Si vous n'avez jamais utilisé d'adresse email sous ce domaine

Renseignez toutes les informations dans la zone DNS de votre registrar. Vous pouvez régler le TTL à 300 ou 600 secondes.  
Il vous est désormais possible de créer vos adresses email et alias librement.

## Consultation des emails via navigateur

[Une interface web](https://mail.tedomum.net/webmail/) est disponible pour consulter ou écrire les emails sans avoir à installer ou paramétrer le moindre logiciel.

Elle est aujourd'hui basée sur [RainLoop](http://www.rainloop.net/).

## Utilisation d'un client (logiciel)

Il est également possible d'utiliser les adresses email hébergées chez TeDomum par le biais d'un client (Thunderbird, Outlook, Evolution, etc.).

Pour cela, il vous faudra configurer votre client pour pouvoir récupérer les mails, mais aussi en envoyer. Il est bon de noter qu'une seule adresse est à retenir ! Et la voici: `mail.tedomum.net`.

Cette adresse fait office de serveur de réception IMAP et de serveur d'envoi SMTP. Reste donc à renseigner le bon type de serveur, le bon port et le bon type de chiffrement.

### Serveur entrant

Voici les informations qu'il faut renseigner :

- Type de serveur : `IMAP`
- Adresse du serveur : `mail.tedomum.net`
- Port : `143`
- Type de chiffrement : `STARTTLS` ou `TLS` selon les clients

Ce qui donnera ceci sur Thunderbird par exemple :

{{< figure src="images/6.png" link="images/6.png" target="_blank">}}

Il est également possible d'utiliser le POP3, mais nous ne le conseillons pas. En effet, IMAP permet de consulter les emails directement sur le serveur de messagerie, tandis que POP3 peut télécharger les emails sur votre ordinateur et les supprimer du serveur.

### Serveur sortant

- Type de serveur : `SMTP`
- Adresse du serveur : `mail.tedomum.net`
- Port : `587`
- Type de chiffrement : `STARTTLS` ou `TLS` selon les clients

Ce qui donnera ceci sur Thunderbird :

{{< figure src="images/7.png" link="images/7.png" target="_blank">}}

## Quotas proposés par TeDomum

Vous trouverez ci-dessous le stockage proposé par défaut ainsi que les quotas maximums que nous appliquons :

- Base : 1 Go
- Quota Max : 5 Go
- Quota Max pour un membre de l'association : 10 Go

Pour faire évoluer votre compte, il suffit de [prendre contact](../../member/) avec l'un de nos administrateurs.

## Alternatives

D'autres chatons proposent [un service mail](https://chatons.org/fr/find-by-services?field_revision_type_services_tid%5B%5D=112). Si notre service ne vous convient pas, n'hésitez pas à voir si l'un d'entre eux n'a pas une offre vous convenant mieux.
