---
title: Administration Mailu
---

### Déployer une mise à jour

Mailu est composé de plusieurs services ; on doit s'assurer que notre docker-compose est toujours compatible avant de lancer une mise à jour.
On se rend sur <https://setup.mailu.io/2.0/> pour obtenir les paramètres recommandés, que l'on adaptera à notre installation. On y indique les informations suivantes :

> <h5>Step 1 - Initial configuration</h5>
>
> - __Mailu storage path:__
> `/srv/apps/mailu`
> - __Main mail domain and server display name.__
> `tedomum.net`
> - __Postmaster local part__
> `dmarc`
> - Choose how you wish to handle security TLS certificates <small>_(par défaut)_</small>
> `letsencrypt`
> - Authentication rate limit per IP for failed login attempts […] <small>_(par défaut)_</small>
> `5`
> - Authentication rate limit per user <small>_(par défaut)_</small>
> `50`
> - Outgoing message rate limit (per user) <small>_(par défaut)_</small>
> `200`
> - Opt-out of statistics <small>_(par défaut)_</small>
> `☐`
> - Website name <small>_(par défaut)_</small>
> `Mailu`
> - Linked Website URL <small>_(par défaut)_</small>
> `https://mailu.io`
> - Enable the admin UI (and path to the admin UI) <small>_(par défaut)_</small>
> `☑` `/admin`
> - Enable the API (and path to the API) <small>_(par défaut)_</small>
> `☐`
>
> <h5>Step 2 - Pick some features</h5>
>
> - __Enable Web email client (and path to the Web email client)__
> `snappymail`
> - Enable the antivirus service <small>_(par défaut)_</small>
> `☐`
> - Enable the webdav service <small>_(par défaut)_</small>
> `☐`
> - __Enable fetchmail__
> `☑`
> - __Enable oletools__
> `☐`
>
> <h5>Step 3 - expose Mailu to the world</h5>
> 
> - IPv4 listen address <small>_(par défaut)_</small>
> `127.0.0.1`
> - Subnet of the docker network. This should not conflict with any networks […] <small>_(par défaut)_</small>
> `192.168.203.0/24`
> - __Enable IPv6__
> `☑`
> - IPv6 listen address <small>_(par défaut)_</small>
> `::1`
> - __Subnet of the docker network. This should not conflict with any networks […]__
> `2001:41d0:d:33ec:224::/80`
> - Enable an internal DNS resolver (unbound) <small>_(par défaut)_</small>
> `☑`
> - __Public hostnames__
> `mx.tedomum.net,mail.tedomum.net`

Nous obtiendrons alors un `docker-compose.yml` et un fichier `mailu.env`. On modifie et commit le `docker-compose.yml` dans la forge, tandis qu'on modifie `mailu.env` directement sur le serveur.  
On procédera alors à un `git pull` sur le serveur pour récupérer le `docker-compose.yml` modifié. Nous pouvons alors fusionner et construire l'image de manière classique.
