---
title: Mastodon
summary: On « Tweet » sur Twitter ; on « Pouet » sur Mastodon. Réseau social plein de libertés.
website: https://mastodon.tedomum.net
categories:
- publish
features:
- sso
---

## Généralités

Mastodon est un réseau social de microblogging libre et open source. Son principe est similaire à Twitter, mais repose sur un modèle décentralisé et sur le réseau [fediverse](../../general/fediverse/). Ici on ne *tweet* donc pas, mais on *pouet*.

Le service Mastodon de TeDomum est une instance du réseau [fediverse](../../general/fediverse/). C'est-à-dire que lorsque vous créez un compte chez nous, c'est à l'ensemble du réseau [fediverse](../../general/fediverse/) que vous avez accès.

## Inscription au service

L'inscription au service se fait très simplement en passant par notre service d'authentification nommé [Hiboo](../../general/account/).

## Utilisation

### Interface

{{< figure src="images/1.png" link="images/1.png" target="_blank">}}

Lors de votre première connexion, un guide vous présentera sommairement les fonctionnalités de Mastodon. Vous arriverez ensuite sur votre page d'accueil agencée en trois colonnes, de gauche à droite :

- la colonne de composition et de recherche ;
- les pouets de vos abonnements ;
- la colonne de navigation.  

Cette dernière regroupe les accès rapides aux différentes fonctionnalités de Mastodon et de votre compte :

- **Accueil :** Pour revenir sur les messages liés à vos abonnements.
- **Notifications :** Listes des notifications vous concernant.
- **Explorer :** Ce menu permet de découvrir des messages, hashtags ou utilisateurs.
- **Flux en direct :** Pour accéder aux messages postés sur le fediverse. 3 onglets composent ce menu :
  - **Ce server :** il s'agit de la liste des pouets envoyés par des utilisateurs de la même instance que vous, même ceux que vous ne suivez pas. Si vous êtes ici, ça veut dire par tous les utilisateurs de l'instance TeDomum ;
  - **Autres serveurs :** il s'agit de la liste des pouets envoyés par tous les utilisateurs du réseau [fediverse](../../general/fediverse/), même ceux que vous ne suivez pas.
  - **Tout :** L'ensemble des messages de l'instance et du [fediverse](../../general/fediverse/).
- **Mention privée :** Messages privés où l'on est destinataire.
- **Marque-pages :** Messages gardés en mémoire pour revenir plus tard dessus. Cette option est privée.
- **Favoris :** Les messages ajoutés en favoris. Attention : Le fait de mettre un message en favoris notifie la personne qui l'a rédigée. A noter également que certaines réactions provenant d'un autre outil du [fediverse](../../general/fediverse/) sont traduites en une notification de mise en favoris.
- **Listes :** Permet de classer des utilisateurs dans des listes d'intérêt.

### Écrire son premier pouet

L'écriture d'un message sur l'interface web de Mastodon se fait dans la première colonne de l'interface que nous avons vue précédemment. Rien de bien compliqué, il suffit d'entrer un message dans la case puis d'appuyer sur « Publier ! » et c'est fini ! Néanmoins, quelques fonctionnalités spécifiques peuvent être intéressantes et révèlent l'intérêt du service.

#### Modes de confidentialité

Contrairement à twitter, Mastodon permet de gérer la confidentialité des messages qui sont envoyés.

{{< figure src="images/2.png" link="images/2.png" target="_blank">}}

Quatre modes de confidentialité sont disponibles :

- **Public :** votre pouet apparaît dans le fil de vos abonnés, mais aussi dans le fil public local et le fil public global.
- **Non listé :** le pouet apparaîtra publiquement sur votre profil et sur le fil de vos abonnés ; il n'apparaîtra ni sur le fil public local ni sur le fil public global.
- **Abonné·e·s uniquement :** comme son nom l'indique, seuls vos abonnés pourront voir ce pouet.
- **Direct :** il s'agit cette fois-ci d'un pouet privé affiché uniquement pour les utilisateurs mentionnés dans le message.

#### Gestion du NSFW et Content Warning

Encore une fois, contrairement à twitter, Mastodon permet de masquer certaines parties d'un pouet pouvant choquer ses lecteurs. Ainsi lorsque vous rédigez un message, vous pouvez indiquer que son contenu peut heurter en cliquant sur le bouton "CW" en dessous de la zone de rédaction. Avec cette manipulation, il vous est possible d'entrer un message d'avertissement pour les lecteurs.

#### Créer un sondage

Il est possible de créer des sondages sur Mastodon en utilisant le bouton indiqué par un carré orange :

{{< figure src="images/3.png" link="images/3.png" target="_blank">}}

À noter qu'il n'est possible de mettre que quatre choix de réponses et que tout sondage est limité dans le temps, comme on peut le voir dans la capture ci-dessous :

{{< figure src="images/4.png" link="images/4.png" target="_blank">}}

#### Les hashtags à connaître

Les hashtags sont des mots-clés cliquables qui permettent de référencer un message sous un ou plusieurs sujets. Ils sont reconnaissables facilement, car ils commencent par `#`. Par exemple, admettons que l'on souhaite faire un message parlant de Mastodon et que l'on souhaite que celui-ci puisse être plus visible, alors on utilisera le hashtag `#mastodon`.

En dehors du système en lui-même, il y a des hashtags à connaître, car ils sont plutôt utiles au quotidien :

- [#MastoHelp](https://mastodon.tedomum.net/tags/mastohelp) : dans le cas où vous avez besoin d'aide pour un sujet lié à Mastodon ou non ;
- [#JeRecrute](https://mastodon.tedomum.net/tags/jerecrute) : utilisé pour diffuser les offres d’emploi ;
- [#JeChercheUnJob](https://mastodon.tedomum.net/tags/jechercheunjob) : pour indiquer que vous êtes à la recherche d’un travail.

### Suivre des hashtags

En plus de la possibilité de suivre des comptes, il est possible de suivre des mot-clés (hashtag) de sujet nous intéressant. Tous les messages appartenant à un hashtag suivi remontera alors dans l'accueil.

Pour suivre un hashtag, il suffit d'afficher celui-ci puis de cliquer sur le bouton prévu à cet effet :

{{< figure src="images/4bis.png" link="images/4bis.png" target="_blank">}}

Pour se désabonner, la manipulation est similaire. On peut voir la liste des hashtags suivis en cliquant sur le menu `burger` à côté de de son d'utilisateur, puis en sélection le menu dédié comme ci-dessous :

{{< figure src="images/4bis2.png" link="images/4bis2.png" target="_blank">}}

### Modifier son profil

Il est bien de pouvoir envoyer des messages, mais personnaliser son profil est aussi une chose importante. Pour cela, il suffit de cliquer sur le lien `Modifier le profil` se trouvant sur la gauche au-dessus de la zone dédiée pour écrire un message (pouet) :

{{< figure src="images/5.png" link="images/5.png" target="_blank">}}

Ce qui vous redirigera vers une page similaire à ceci :

{{< figure src="images/6.png" link="images/6.png" target="_blank">}}

À partir de là, vous pouvez modifier le pseudo affiché, votre image de profil, la bannière de votre profil, votre présentation et bien d'autres éléments !

### Utiliser l'interface Web avancée

L'agencement de votre page d'accueil ne vous convient pas ? Il est possible de le modifier afin d'y voir le fil d'accueil, les notifications, le fil public local et le fil public global.
{{< figure src="images/interface_avancee2.png" link="images/interface_avancee2.png" target="_blank">}}

Une option est à activer dans la sous-rubrique « apparence » dans vos paramètres. Vous pourrez revenir en arrière et décocher cette case si vous souhaitez retrouver l'agencement par défaut.

{{< figure src="images/interface_avancee1.png" link="images/interface_avancee1.png" target="_blank">}}

### Signaler du contenu inapproprié

Mastodon dispose d'une [fonction permettant de signaler du contenu inapproprié](moderation/).

## Importer ou exporter ses données

Cela peut être utile dans le cas où vous souhaitez déménager (vers une autre instance) ou supprimer votre compte pour garder un historique. Pour se faire, il faut aller dans les `Préférences` :

{{< figure src="images/9.png" link="images/9.png" target="_blank">}}

Puis dans la partie `Import et export` :

{{< figure src="images/10.png" link="images/10.png" target="_blank">}}

## Déménagement vers une autre instance ou suppression de compte

Il peut arriver que l'on souhaite changer d'instance ou arrêter tout simplement l'utilisation de Mastodon pour diverses raisons. Si vous avez besoin de récupérer vos données avant de lancer l'opération, veuillez vous référer au chapitre précédent.

Pour lancer l'une de ces actions, il faut aller dans les préférences puis dans la partie Compte et en bas de page vous trouverez les options nécessaires :

{{< figure src="images/11.png" link="images/11.png" target="_blank">}}

## Applications

### Pour Smartphones

L'interface web de Mastodon est sympa, mais il peut être pratique de l'avoir sur son téléphone sous forme d'application. Voici une liste d'applications pour mobile supportant Mastodon :

- [Application officielle Mastodon](https://blog.joinmastodon.org/2022/04/official-apps-now-available-for-ios-and-android/) (Android & iOS)
- [Fedilab](https://fedilab.app/) (Android)
- [Tusky](https://play.google.com/store/apps/details?id=com.keylesspalace.tusky) (Android)
- [Ice Cubes](https://apps.apple.com/us/app/ice-cubes-for-mastodon/id6444915884) (iOS)
- [iMast](https://apps.apple.com/us/app/imast/id1229461703) (iOS)

### Pour PC

Bien qu'il soit tout à fait possible de l'utiliser via navigateur web, certains préféreront peut-être avoir une application dédiée. Si vous êtes dans ce cas, [le site Tugalères](https://tugaleres.com/2019/03/23/clients-pc-pour-mastodon/) vous présentera quelques applications disponibles.

### Plus d'applications ?

[Le site joinmastodon](https://joinmastodon.org/apps) présente d'autres applications.

## Autres instances

Il existe [d'autres instances Mastodon](https://joinmastodon.org/#getting-started). Si vous ne trouvez pas votre bonheur chez nous, peut-être le trouverez-vous ailleurs ?

## Plus d'informations

Vous trouverez ci-dessous des pages donnant des informations sur Mastodon sur des thèmes plus précis :
