---
title: Modération et outils disponibles
---

## Généralités

Cette page a pour but de présenter les outils liés à la modération de Mastodon.

## Agir côté utilisateur

Il peut arriver de tomber sur du contenu inapproprié et dans ce cas, le mieux est de le signaler afin que nous puissions en prendre connaissance. Une option existe pour cela, vous trouverez ci-dessous quelques explications sur son fonctionnement.

### Signaler un contenu inapproprié

Pour cela, il suffit de cliquer sur le bouton `...` disponible en dessous de chaque message et cliquer sur `Signaler @pseudo` :

{{< figure src="../images/7.png" link="../images/7.png" target="_blank">}}

Cela ouvrira alors une fenêtre similaire à celle-ci :

{{< figure src="../images/8.png" link="../images/8.png" target="_blank">}}

Sur la gauche, il y a un espace pour ajouter un commentaire et sur la gauche, on retrouve les derniers messages de l'utilisateur. Par défaut, le message signalé est coché et il est possible d'en ajouter d'autres si cela est jugé utile (ex : SPAM).

A noter que si la personne que vous souhaitez signaler se trouve sur une autre instance, il vous sera possible de cocher l'option ci-dessous pour signaler le message directement à l'équipe de modération du serveur concerné :

{{< figure src="../images/8-2.png" link="../images/8-2.png" target="_blank" >}}

Les personnes ayant un rôle `Modérateur` ou `Administrateur` recevront une notification par mail lorsque un signalement sera soumis. A noter que certaines applications mobiles peuvent également notifier l'utilisateur.

## Agir en tant que modérateur

Lorsque l'on a le rôle de `Modérateur`, de nouveaux menus font leur apparition dans l'interface de Mastodon. Notamment au niveau des toots (messages) :

{{< figure src="../images/12.png" link="../images/12.png" target="_blank">}}

Les deux encadrées en rouge sont ceux concernant l'aspect modération :

* Le premier menu permet d'ouvrir directement le compte utilisateur dans l'interface de modération pour accéder à l'ensemble des informations concernant l'utilisateur et également agir sur son profil / compte.
* Le second menu permet d'ouvrir directement le message concerné dans l'interface de modération. Utile pour marquer un contenu sensible par exemple ou encore supprimer un message. A noter que via cette option, vous aurez la possibilité d'ouvrir également le profil utilisateur dans l'interface de modération en cliquant sur `Retour à la page du compte` :

{{< figure src="../images/13.png" link="../images/13.png" target="_blank">}}

Et au niveau du compte, cela se présente comme ceci :

{{< figure src="../images/14.png" link="../images/14.png" target="_blank">}}

Ici, certaines options ne sont pas visibles car le compte que l'on regarde est administrateur et on ne peut donc agir pleinement sur celui-ci. Notamment, il manque en bas de page, les boutons suivants :

{{< figure src="../images/15.png" link="../images/15.png" target="_blank">}}

Ces boutons permettent d'agir ou de commenter le profil d'un utilisateur pour garder un historique des actions qui ont été faites. Par exemple, ça peut-être utile pour dire que l'utilisateur a reçu un rappel concernant les règles du serveur suite à un signalement. Voici leur signification :

* `Avertissement` : Aucune limitation n'est imposée au compte concerné mais l'utilisateur recevra alors un avertissement par mail et l'action sera visible sur son profil par toutes les personnes ayant un rang `Modérateur` ou `Administrateur`.
* `Désactiver` : Désactive le compte utilisateur mais permet à celui-ci d'accéder aux options de son compte, ce qui permet de supprimer celui-ci ou d'effectuer un déménagement de compte.
* `Sensible` : Tous les médias postés par l'utilisateur seront masqués
* `Masquer` : Les messages postés par l'utilisateur ne sont pas visible publiquement.
* `Suspendre` : Bannit et supprime définivement le contenu du compte (action irrémédiable)

Rien qu'avec ces deux menus, on peut donc agir sur pas mal de facettes, notamment si on tombe sur un message ou un compte qui demande une intervention rapide, SPAM massif par exemple.

Ceci dit, d'autres options sont disponibles dans les préférences via les menus `Modération` et `Administration` (visibles dans les captures d'écran ci-dessus). Voici ce que l'on peut voir pour la partie `Modération` :

* Journal d’audit : C'est l'historique de toutes les actions entreprises par les modérateurs & administrateurs.
* Signalements : Menu permettant de gérer les signalements
* Comptes : Permet de chercher un compte avec un ou plusieurs critères
* Invitations : Voir les liens d'invitation activité sur l'instance
* Hashtags : Liste les #Hashtags et permet d'autoriser ou d'interdire certaines actions quant à leur utilisation

Nous allons donc voir plus en détails la partie concernant les signalements qui est certainement la plus utilisée et regardée par l'équipe en charge de la modération. Voici donc à quoi ressemble cette partie :

{{< figure src="../images/16.png" link="../images/16.png" target="_blank">}}

Par défaut, seuls les signalements en attente de traitement (non résolus) sont affichés. Il est bien entendu possible de voir les signalements marqués comme résolus en changeant le statut `1`. Dans la partie basse, le `2` correspond au compte dont le message a été signalé, le `3` au nom du compte ayant signalé le message et le `4` au motif du signalement.

Pour voir plus de détails sur le signalement, il suffit de cliquer sur la partie basse où se trouve le motif pour avoir ceci :

{{< figure src="../images/17.png" link="../images/17.png" target="_blank">}}

A partir de là, vous avez tous les outils pour agir en fonction des règles de votre serveur. Si un message signalé n'enfreint aucune règle, il suffit simplement de marquer le signalement comme résolu.

La partie `Administration` permet d'avoir un aperçu rapide de l'instance (nombre d'utilisateurs total, utilisateurs actifs, derniers enregistrés, version de mastodon, nombre de signalements en attente etc...). Il y a également une partie concernant les emojis personnalisés qu'un modérateur pourra désactiver ou activer. En revanche, ce rang ne permet pas d'en ajouter.

## Agir en tant qu'administrateur

Une personne ayant le rang `Administrateur` a également accès aux outils de modération et a quelques accès supplémentaires.

Dans la partie `Modération`, avec ce rang, deux nouveaux menus sont disponibles :

* Fédération : Permet de bloquer la fédération avec un domaine donné. Ex : mastodon.exemple.com poste majoritairement du contenu contraire à vos CGU, il est donc possible de bloquer ici toutes interactions avec cette instance.
* Blocage de domaines de courriel : Permet de bloquer un domaine mail. Utile par exemple en cas de vague de SPAM avec des utilisateurs ayant tous des mails avec le même domaine. Ex : *@exemple.com

Dans la partie `Administration` plusieurs nouveaux menus sont disponibles mais un seul est vraiment lilé à la modération, il s'agit du menu ci-dessous :

* Paramètres du serveur : Dans ce menu qui porte bien son nom, il y a la possibilité de d'ouvrir ou de fermer les inscriptions ou encore de limiter les liens d'invitation. Cela peut-être utile en cas de SPAM par exemple.

## Actions possibles dans Hiboo

Chez TeDomum, notre service Mastodon est lié à Hiboo qui offre quelques fonctionnalités pouvant également servir à la modération. Cependant, pour l'heure seuls les administrateurs y ont accès.

Lorsque vous avez les accès nécessaires, vous aurez alors à votre disposition les menus suivants en plus des menus habituels :

{{< figure src="../images/18.png" link="../images/18.png" target="_blank" >}}

En cliquant sur la partie `Services`, vous pourrez voir la liste des services migrés sur Hiboo :

{{< figure src="../images/19.png" link="../images/19.png" target="_blank">}}

Et sur la droite, vous avez un lien pour `Profiles` qui permet d'accèder à la liste des profils utilisateurs créés sur le service. Avec le raccourci clavier <kbd>Ctrl</kbd>+<kbd>F</kbd> il est alors rechercher un utilisateur et d'agir sur son profil, soit par les boutons se trouvant sur la droite, soit en cliquant sur son profil et en utilisant les bontons en haut à droite également :

{{< figure src="../images/20.png" link="../images/20.png" target="_blank">}}

{{< figure src="../images/21.png" link="../images/21.png" target="_blank">}}

* Block : Permet de bloquer le profil et empêche donc l'utilisateur de s'authentifier dessus. Attention : Si l'utilisateur a une session active, alors il pourra toujours utiliser son compte.
* Delete : Supprime le profil de l'utilisateur.
* Purge : Supprimer toutes les données de l'utilisateur. En revanche, le peusdo utilisé reste en mémoire pour ne pas être réutilisé à des fins d'ursupation d'identité.

A noter qu'un profil ayant été supprimé et purgé de ses données ne peut pas être récupéré. Ces deux options sont donc à utiliser avec modération.
