---
title: Matrix
summary: Des salons, de la visio, de la cryptographie. Que demander de plus à une messagerie libre ?
website: https://element.tedomum.net
categories:
- communicate
features:
- sso
---

## Généralités

[Matrix](https://matrix.org/) est un système ouvert de communication en temps réel. Il est possible de l’utiliser pour faire de la messagerie instantanée (en groupe ou en privé), mais aussi des appels ou encore des vidéoconférences.

## Comment y accéder ?

### Avec notre client web

Vous pouvez y accéder directement grâce au [client Element](https://element.tedomum.net/) que nous hébergeons sur notre site.

Pour pouvoir intéragir avec les autres utilisateur, il vous faudra un compte. L'identifiant de votre compte sera de la forme suivante : `@votrenom:tedomum.net`

À noter que la gestion des comptes passe par notre service d'authentification nommé [Hiboo](../../general/account/).

### En installant une application

Vous trouverez ci-dessous quelques clients Matrix que vous pouvez utiliser sur PC ou sur mobile.

### Sur PC

- [Element](https://element.io/) (ex-Riot) que nous utilisons est également disponible sur Linux, Windows et MacOS
- [Nheko](https://github.com/Nheko-Reborn/nheko) disponible sur Linux, Windows et MacOS
- [Quaternion](https://github.com/QMatrixClient/Quaternion) disponible sur Linux, Windows et MacOS

### Sur mobile

- [Element](https://element.io/), le client web que nous utilisons est disponible sur Android et iOS :
  - Android :
    - [Google Play Store](https://play.google.com/store/apps/details?id=im.vector.app)
    - [F-Droid](https://f-droid.org/packages/im.vector.app/)
  - [iOS](https://apps.apple.com/app/vector/id1083446067)  

- [Fluffychat](https://fluffychat.im/) est également multiplateforme :  
  - Android :
    - [Google Play Store](https://play.google.com/store/apps/details?id=chat.fluffy.fluffychat)
    - [F-Droid](https://f-droid.org/packages/chat.fluffy.fluffychat/)
  - [iOS](https://apps.apple.com/app/fluffychat/id1551469600)  

### Où trouver d'autres clients ?

Si les clients ci-dessus ne vous conviennent pas ou si vous souhaitez simplement en découvrir d'autres par curiosité, vous pouvez [en essayer un autre](https://matrix.org/docs/projects/try-matrix-now.html).

## Configuration du client Mobile ou Desktop

Lors de la configuration de votre client, veillez à bien modifier votre serveur d'accueil. En effet, celui-ci pointera probablement par défaut vers le serveur matrix.org et non vers celui de TeDomum. Voici les adresses à rentrer dans le client pour se connecter sur le serveur TeDomum :

- Homeserver : <https://matrix.tedomum.net/>
- Identity Server : <https://vector.im>

**Attention** : Vu que notre instance matrix est reliée à [Hiboo](../../general/account/), notre SSO, il faut que le client utilisé supporte le SSO pour cela fonctionne. Ce n'est malheureusement pas le cas de tous à ce jour.  
**Concernant Element** sur mobile : Il faudra vous rendre dans **Autre** → Indiquer le serveur `https://tedomum.net/` → Puis finaliser l'inscription.  
{{< figure src="images/matrixmobile.jpg" link="images/matrixmobile.jpg" target="_blank">}}

## Quel intérêt par rapport à XMPP ?

Si la différence est immense entre Matrix et IRC (car il permet les appels audio et vidéo), on peut se demander quel est l'intérêt de ce système par rapport à XMPP.

Matrix et XMPP sont tous les deux des services fédérés. Mais la particularité de Matrix est que tout est fait pour qu'un salon reste toujours en ligne ; tous les messages échangés durant une coupure du serveur sont sauvegardés même si le serveur qui l'héberge est HS.

L'autre intérêt, c'est les implantations possibles que l'on appelle `Bridge`. Cela peut concerner des serveurs IRC, Telegram et bien d'autres services.

Pour mieux comprendre comment cela fonctionne, imaginons que Matrix (service) soit une grande île composée de différentes contrées qui représentent les différents serveurs existants. Pour aller de cette île à une autre, c'est-à-dire pour aller vers d'autres services, on utilise alors un pont (Bridge). Voici donc ce que cela donnerait en image :

{{< figure src="images/bridges.gif" link="images/bridges.gif" target="_blank">}}

## Matrix et le chiffrement

De plus en plus de services offrent aujourd'hui le chiffrement natif des messages échangés comme WhatsApp, Signal ou Telegram. Cependant, à la différence de ces applications, Matrix supporte plusieurs appareils à la fois sur un même compte. Et gérer cela est un sacré défi qui a déjà été bien relevé, mais qui est encore perfectible.

### Comprendre le fonctionnement

Chacun de nos appareils a des clés qui lui sont propres et qui sécurisent l'ensemble de nos messages en les liant spécifiquement à chaque appareil. Quand quelqu'un nous écrit un message ou écrit sur un salon auquel on est connecté, il chiffre le message avec les clés de chacun des appareils pour que tous puissent le lire.
Partant de ce principe, un appareil qui rejoint la discussion en cours ne peut pas lire les messages antérieurs à son arrivée puisqu'il n'en était pas destinataire, d'où l'intérêt du bouton de demande de partage de clés pour qu'un autre de nos appareils puisse les lui transmettre.

Si on utilise l'option déconnecter / reconnecter, chaque nouvelle session est alors considérée comme un nouvel appareil et on repart alors de zéro (et donc pas de clé pour lire les vieux messages).

### Les actions à effectuer pour éviter des problèmes de clé

Pour éviter ces problèmes, il y a principalement deux mécanismes :

- **La vérification des appareils** : lorsque l'on se connecte avec un nouvel appareil, il devrait être suggéré de procéder à sa vérification. Elle sert à s'assurer que tous les appareils sont bien en notre possession et donc de s'assurer que personne n'ait piraté notre compte. Pour cela, l'application (Element ici) demandera de scanner un QR code ou de comparer des emojis entre les appareils. Une fois un appareil vérifié, il va automatiquement demander les clés qui lui manquent aux autres et les récupérer. Les anciens messages seront alors lisibles (sauf bugs ponctuels) :

{{< figure src="images/1.png" link="images/1.png" target="_blank">}}
{{< figure src="images/2.png" link="images/2.png" target="_blank">}}

- **La sauvegarde des clés** sert à se protéger dans le cas où l'on perdrait, se ferait voler un appareil ou encore si l'on se déconnecte de toutes nos sessions (et donc tous nos appareils). Element propose de l'activer normalement sur le premier appareil lorsque l'on se connecte et demande de saisir un mot de passe de sauvegarde. Si cela a bien été fait, il sera possible de demander une restauration via l'onglet vie privée de chacun des appareils avec ce même mot de passe.

{{< figure src="images/3.png" link="images/3.png" target="_blank">}}

Pour savoir si tout est bien paramétré sur Element, il suffit d'aller dans les paramètres de **Sécurité & Vie privée** sur chacun des clients des appareils utilisés et de vérifier :

 1. Que la signature croisée est activée et que tout est OK

{{< figure src="images/4.png" link="images/4.png" target="_blank" >}}

 1. Que la sauvegarde des clés est bien activée et que tout est OK

{{< figure src="images/5.png" link="images/5.png" target="_blank">}}

 1. Qu'en affichant la liste de vos sessions, elles soient bien toutes vérifiées (petit bouclier vert).

{{< figure src="images/6.png" link="images/6.png" target="_blank" >}}

### Comparaison avec le fonctionnement de WhatsApp

Si l'on compare Matrix et Whatsapp sur cet aspect-là, on pourra voir que leur comportement se ressemblent sur beaucoup d'aspects.

Sur WhatsApp, nous n'avons qu'un seul appareil de base : notre téléphone. Lorsque l'on souhaite y accéder depuis le PC, il faut scanner un QR code qui correspond à l'étape de vérification et permet l'échange des clés entre le téléphone et le PC.

Si on se déconnecte sur le PC, il faudra alors refaire la manipulation pour accéder aux messages. Dans les faits, dans Whatsapp, ils ne sont pas sécurisés pour chacun des appareils, mais uniquement sur le téléphone qui les relaie ensuite vers le PC. Par conséquent, si l'on éteint son téléphone, on perd tout. Idem dans le cas d'une perte ou d'un vol.

Matrix apporte des fonctionnalités nouvelles dans cet univers ; elles permettent d'avoir réellement plusieurs appareils indépendants. Vous ne perdrez donc pas votre compte en cas de perte de votre téléphone. Cependant, l'approche en est peut-être moins simple au premier abord.

## Autres instances

Il existe d'autres instances Matrix. Si vous ne trouvez pas votre bonheur chez nous, peut-être le trouverez-vous ailleurs ?
Ci-dessous une liste d'instances :

- <https://matrix.libreon.fr>
- <https://element.underworld.fr>
- <https://riot.deuxfleurs.fr>

Vous trouverez d'autres instances du côté des [chatons](https://www.chatons.org/search/by-service?service_type_target_id=All&field_alternatives_aux_services_target_id=All&field_software_target_id=274&field_is_shared_value=All&title=).

## Autre contenu lié à Matrix :
