---
title: "Bridges Matrix"
---
## Qu’est-ce qu’un bridge Matrix ?

Matrix est un réseau de messagerie **fédéré** : les utilisateurs peuvent s’inscrire sur le serveur de leur choix, et interagir avec tout autre serveur Matrix. Toutefois, un utilisateur de Matrix ne peut pas échanger directement avec des utilisateurs d’autres services non compatibles (services fermés ou non fédérés tels que Telegram, Signal, WhatsApp, Facebook Messenger, etc.).

Pour remédier à cela, nous déployons des _bridges_, qui sont des passerelles entre Matrix et ces services externes. Ils vous permettent, par exemple, d’échanger depuis Matrix avec un contact Telegram, Signal, WhatsApp, Facebook Messenger, Instagram ou Discord. La plupart du temps, vous devez déjà posséder un compte sur le service externe que vous souhaitez utiliser.

Tedomum propose pour le moment 5 bridges:

- Telegram (v1)
- Signal (v2)
- Whatsapp (v2)
- Discord (v2)
- Meta (v2) comprenant Facebook Messenger et Instagram

---

## Migration entre bridges v1 et v2

Si vous utilisiez l’ancien bridge `bridges.tedomum.net`, celui-ci sera fermé le 31 mars 2025, et que vous devez passer au nouveau bridge `mb.tedomum.net`, vous devez effectuer une migration manuelle pour chaque service utilisé.
Seuls sont concernés à ce jour les bridges ayant une v2 disponible. Vous ne devez donc pas faire la migration pour Telegram qui est encore en v1.

Voici les étapes à suivre :

1. **Rejoignez le nouveau bridge** :

   - Depuis votre compte matrix tedomum.net (obligatoire)
   - Démarrez une conversation avec le bot du nouveau bridge (ex. `@signal:mb.tedomum.net`, `@whatsapp:mb.tedomum.net`, etc.).
   - Suivez les étapes de connexion décrites dans la section correspondante de ce document (généralement via la commande `login`).
   - Vérifiez la connexion en envoyant la commande `ping-matrix` ou `ping`.
2. **Assurez-vous que tout fonctionne**
3. **Déconnectez-vous de l’ancien bridge** :

   - Démarrez une conversation avec le bot de l’ancien bridge (ex. `@signal:bridges.tedomum.net`, `@whatsapp:bridges.tedomum.net`, etc.).
   - Envoyez la commande `logout` pour chaque service que vous utilisiez.
   - Attendez la confirmation de déconnexion.

Cette procédure garantit une transition en douceur entre les deux systèmes tout en préservant la sécurité et la continuité des services.

---

## Bridge Signal

Le bridge **Signal** permet de connecter votre compte Signal à Matrix, et d’échanger soit avec vos contacts Signal, soit sur des salons Signal.

### Rejoindre le bridge

1. Démarrez une nouvelle conversation avec `@signal:mb.tedomum.net` (le _bot de bridge_).
2. Envoyez la commande `!signal login`.
3. Le bot vous affiche alors un QRCode. Ouvrez Signal sur votre téléphone.
4. Dans les options, rubrique « périphériques liés » (_linked devices_), ajoutez un périphérique en scannant le QRCode.
5. Le bridge vous indiquera lorsque la connexion est réussie.

Vous pouvez à tout moment vérifier l’état de la connexion à Signal avec la commande `!signal ping` dans la conversation avec le bot (envoyez `!signal help` pour avoir la liste des commandes disponibles).

### Commandes disponibles pour le bridge Signal

#### **Authentification et gestion des comptes**

- **`list-logins`** : Liste toutes les connexions actives associées à votre compte Matrix.
- **`login`** : Connectez-vous au bridge Signal.
- **`logout <login ID>`** : Déconnectez un compte Signal spécifique du bridge.
- **`ping-matrix`** : Vérifiez la connexion entre le serveur Matrix et le bridge.
- **`relogin <login ID>`** : Ré-authentifiez une connexion existante.
- **`set-preferred-login <login ID>`** : Définissez un identifiant de connexion préféré pour l’envoi des messages.

#### **Démarrage et gestion des conversations**

- **`resolve-identifier [login ID] <identifier>`** : Vérifiez si un identifiant donné existe sur le réseau Signal.
  _Exemple_ : `!signal resolve-identifier +33612345678`.
- **`search <query>`** : Recherchez des utilisateurs sur le réseau Signal.
- **`start-chat [login ID] <identifier>`** : Démarrez une conversation directe avec un utilisateur Signal.
  _Exemple_ : `!signal start-chat +33612345678`.

Pour plus d’informations sur les commandes disponibles, envoyez `!signal help` dans la conversation avec le bot.

{{< figure src="../images/signal.png" link="../images/signal.png" target="_blank">}}

### Quitter le bridge

1. Dans une conversation avec `@signal:mb.tedomum.net`, envoyez `!signal logout`.
2. Attendez la confirmation du bridge.
3. Envoyez `!signal ping` pour vérifier que vous êtes bien déconnecté·e.

### Sécurité

- Signal supporte le chiffrement de bout en bout, mais l’historique de vos messages n’est pas transféré sur le bridge (un « nouveau périphérique » ne reçoit pas l’historique).
- Le bridge peut activer le chiffrement de bout en bout côté Matrix (_bridge-to-end_), mais il n’est pas activé par défaut. Notez que, dans ce modèle, le bridge déchiffre temporairement vos messages et la sécurité globale reste inférieure à une communication purement chiffrée de bout en bout dans Matrix ou Signal.
- Après une phase d’expérimentation, le bridge pourra supprimer automatiquement les clés de déchiffrement, mais cela ne supprime pas complètement l’accès que le bridge a nécessairement à vos messages au moment de la transmission.

---

## Bridge Telegram

Le bridge **Telegram** permet de connecter votre compte Telegram à Matrix, et d’échanger avec vos contacts Telegram ou sur des salons Telegram.

### Rejoindre le bridge

1. Démarrez une nouvelle conversation avec `@telegram:bridges.tedomum.net`.
2. Envoyez la commande `!telegram login`.
3. Envoyez votre numéro de téléphone au format international (ex. `+336123456789`) quand le bot vous le demande.
4. Envoyez ensuite le code reçu par SMS (ou directement dans votre client Telegram).
5. Si vous avez un mot de passe Telegram (2FA) activé, envoyez-le également au bot quand il le demande.

Une fois connecté·e, vous pouvez supprimer le message contenant votre mot de passe ou fermer la conversation pour en limiter la portée.

Pour plus d’informations sur les commandes disponibles, envoyez `!telegram help` dans la conversation avec le bot.

{{< figure src="../images/telegram.png" link="../images/telegram.png" target="_blank">}}

### Quitter le bridge

1. Dans une conversation avec `@telegram:bridges.tedomum.net`, envoyez la commande `!telegram logout`.
2. Attendez la confirmation du bot.
3. Quittez la conversation (et tous vos salons Telegram si vous souhaitez effacer l’historique côté Matrix).

### Sécurité

- Le bridge **ne supporte pas** le chiffrement de bout en bout (les _Secret Chats_ ne sont pas accessibles).
- Le bridge et notre serveur Matrix ont accès à vos messages Telegram.
- Vous pouvez quitter les salons Matrix pour faire expirer vos données dans notre base, ou supprimer les messages pour qu’ils soient effacés de nos serveurs. Nous ne pouvons toutefois pas garantir que Telegram n’en conserve pas une copie.

---

## Bridge WhatsApp

Le bridge **WhatsApp** permet de relier votre application WhatsApp à votre compte Matrix. Vous devez posséder un téléphone avec l’application WhatsApp déjà connectée à votre compte.

### Rejoindre le bridge

1. Installez et lancez WhatsApp sur votre téléphone.
2. Démarrez une nouvelle conversation Matrix avec `@whatsapp:mb.tedomum.net`.
3. Envoyez la commande `!whatsapp login qr`.
4. Scannez le QRCode affiché par le bot depuis votre application WhatsApp (dans le menu, « Connexion du client Web »).

Pour plus d’informations sur les commandes disponibles, envoyez `!whatsapp help` dans la conversation avec le bot.

{{< figure src="../images/whatsapp.png" link="../images/whatsapp.png" target="_blank">}}

### Quitter le bridge

1. Dans une conversation avec `@whatsapp:mb.tedomum.net`, envoyez la commande `!whatsapp logout`.
2. Quittez tous vos salons WhatsApp pour en oublier l’historique.
3. Quittez la conversation.

Vous pouvez aussi simplement déconnecter manuellement la session « WhatsApp Web » depuis votre téléphone.

### Sécurité

- Le bridge **ne supporte pas** (encore) le chiffrement de bout en bout sur Matrix. Les messages WhatsApp sont chiffrés de bout en bout depuis votre interlocuteur jusqu’à votre téléphone, puis retransmis en clair au bridge, et enfin envoyés sur Matrix (dans des salons chiffrés ou non, selon la configuration).
- Le bridge et notre serveur Matrix ont accès à vos messages WhatsApp.

### Héberger l’application WhatsApp

Si vous utilisez WhatsApp et Matrix sur le même téléphone, vous bénéficiez d’une synchronisation simplifiée mais exposez la session WhatsApp (et votre adresse IP en mobilité).Nombreux utilisateurs préfèrent utiliser :

- Un téléphone dédié, resté chez eux en WiFi, branché en permanence (par exemple un vieux téléphone ayant un écran cassé).
- Une machine virtuelle Android (voir [https://docs.mau.fi/bridges/go/whatsapp/android-vm-setup.html](https://docs.mau.fi/bridges/go/whatsapp/android-vm-setup.html)).

---

## Bridge Discord

Le bridge **Discord** vous permet de relier votre compte Discord à votre messagerie Matrix. Vous pourrez ainsi rejoindre des _guilds_ Discord depuis Matrix et interagir avec les salons et les utilisateurs Discord.

### Rejoindre le bridge

1. Démarrez une nouvelle conversation avec votre bot Discord, par exemple `@discord:mb.tedomum.net` (ou l’adresse précisée selon votre configuration).
2. Dans cette conversation, vous pouvez envoyer `!discord help` (ou simplement `help`) pour voir la liste des commandes.
3. Pour vous authentifier, envoyez `!discord login-qr` pour générer un code que vous pouvez scanner avec l’application Discord mobile.
4. Une fois la connexion effectuée, le bot devrait vous confirmer que vous êtes authentifié·e.

### Gestion des guilds

- Listez vos guilds ou leur statut :

  ```
  !discord guilds status
  ```

  Le bot affiche alors les guilds associées à votre compte.
- Pour relier une guild spécifique à un salon Matrix :

  ```
  !discord guilds bridge <guildID>
  ```

  Vous pouvez récupérer `<guildID>` via la commande `!discord guilds status`.
- Pour arrêter de relier une guild :

  ```
  !discord guilds unbridge <guildID>
  ```

Pour plus d’informations sur les commandes disponibles, envoyez `help` dans la conversation avec le bot.

{{< figure src="../images/discord.png" link="../images/discord.png" target="_blank">}}

### Quitter le bridge Discord

1. Dans la conversation avec le bot, envoyez la commande `logout`.
2. Attendez la confirmation de déconnexion.
3. Quittez la conversation et les salons correspondants si vous le souhaitez.

### Sécurité

- Comme pour d’autres bridges, le bridge Discord et notre serveur Matrix ont accès à vos messages Discord.
- Assurez-vous de bien comprendre les implications de connecter votre compte Discord (et donc vos serveurs Discord) à un service externe.

---

## Bridge Meta

Le bridge **Meta** permet de connecter votre compte Facebook, Facebook Messenger et/ou Instagram à Matrix, et d’échanger avec vos contacts sur Messenger ou sur Instagram.

### Rejoindre le bridge

1. Démarrez une nouvelle conversation avec `@meta:mb.tedomum.net` (le _bot de bridge_).
2. Envoyez la commande `!meta login [facebook/messenger/instagram]`, selon votre choix de connexion.
3. Le bot vous demande d'insérer un objet JSON liés à vos cookies ou bien une commande cURL copiée directement depuis le navigateur.

<details>
<summary>Marche à suivre</summary>

1. Ouvrir le site associé (messenger.com, facebook.com, instagram.com) dans une fenêtre de navigation privée.
2. Ouvrir les outils de développement du navigateur et aller dans la section Réseau. Sélectionner “XHR” en requête et chercher ‘graphql’.
3. Se connecter ensuite sur votre compte dans le navigateur.
4. Faites un clic droit sur l’une des requêtes dans les outils de développement, choisir Copier (Chrome) ou Copier Valeur (Firefox) puis “Copy as cURL”.
   Vous pouvez aussi trouver les cookies manuellementet les envoyer au bot avec un objet JSON, parmi les cookies :

* *Instagram*: sessionid, csrftoken, mid, ig_did, ds_user_id
* *Facebook*: datr, c_user, sb, xs

5. Coller les données et les envoyer au bot.

Plus d'informations sur la [documentation du bridge en question](https://docs.mau.fi/bridges/go/meta/authentication.html).

</details>

<br/>
4. Le bot vous informe ensuite que vous êtes bien connecté.

Vous pouvez à tout moment vérifier l’état de la connexion à Signal avec la commande `!meta ping` dans la conversation avec le bot (envoyez `!meta help` pour avoir la liste des commandes disponibles).

### Commandes disponibles pour le bridge Meta

#### **Authentification et gestion des comptes**

- **`list-logins`** : Liste toutes les connexions actives associées à votre compte Matrix.
- **`login`** : Connectez-vous au bridge Meta.
- **`logout <login ID>`** : Déconnectez un compte Meta spécifique du bridge.
- **`ping-matrix`** : Vérifiez la connexion entre le serveur Matrix et le bridge.
- **`relogin <login ID>`** : Ré-authentifiez une connexion existante.
- **`set-preferred-login <login ID>`** : Définissez un identifiant de connexion préféré pour l’envoi des messages.

#### **Démarrage et gestion des conversations**

- **`resolve-identifier [login ID] <identifier>`** : Vérifiez si un identifiant donné existe sur le réseau Meta.
- **`search <query>`** : Recherchez des utilisateurs sur le réseau Meta.
- **`start-chat [login ID] <identifier>`** : Démarrez une conversation directe avec un utilisateur.

Pour plus d’informations sur les commandes disponibles, envoyez `!meta help` dans la conversation avec le bot.

{{< figure src="../images/meta.png" link="../images/signal.png" target="_blank">}}

### Quitter le bridge

1. Dans une conversation avec `@meta:mb.tedomum.net`, envoyez `!meta logout`.
2. Attendez la confirmation du bridge.
3. Envoyez `!meta ping` pour vérifier que vous êtes bien déconnecté·e.

### Sécurité

**A rédiger**

---

## Conclusion

Les bridges Matrix (Signal, Telegram, WhatsApp, Discord, etc.) offrent un moyen pratique de réunir vos différentes messageries dans une même interface. Soyez toutefois conscient·e des implications en matière de confidentialité, et n’hésitez pas à consulter la documentation de chaque bridge pour connaître les commandes avancées et options de configuration.
