---
title: Jitsi Meet
summary: Une visioconférence gratuite en un clic, basée sur Jitsi meet. Du sourire en équipe au partage d'écran.
website: https://meet.tedomum.net
categories:
  - communicate
features:
  - beta
class: unstable
---

<div class="alert alert-warning sticky-top d-flex align-items-center justify-content-center text-center" role="alert">
    <i class="fa-solid fa-triangle-exclamation me-2 blink"></i>
    <div>
      <p class="m-0">Nous rencontrons actuellement un dysfonctionnement lors d'échanges vidéos de plus de deux personnes…</p>
    </div>
    <i class="fa-solid fa-triangle-exclamation ms-2 blink"></i>
</div>

## Généralités

Le service `Meet` est basé sur l'outil [Jitsi Meet](https://jitsi.org/).

Jitsi Meet est un outil open source de vidéoconférence ; nous en [hébergeons une instance](https://meet.tedomum.net/).

### Inscription

Aucune inscription n'est requise pour l'utilisation de Meet.

Cependant, pour limiter l'accès à vos conférences, vous pouvez définir un mot de passe, voir chapitre ci-dessous.

### Utilisation

En allant sur le service, vous aurez une page d'accueil ressemblant à ceci :

{{< figure src="images/1-0_a.png" link="images/1-0_a.png" target="_blank">}}

Cette page vous permettra de créer rapidement une conférence. Vous pouvez choisir un nom de salon ou créer un nom aléatoire. Pour que d'autres utilisateurs puissent rejoindre cette conférence, il faudra leur en donner le lien (et le mot de passe si vous décidez d'en mettre un).

À noter que lors du lancement, un accès à votre webcam et micro sera demandé :

{{< figure src="images/1_a.png" link="images/1_a.png" target="_blank">}}

À vous de donner ou non les droits d'accès à ces périphériques.

#### Interface

Une fois la conférence lancée, vous aurez une page qui vous permettra de choisir quelques options de base, comme votre nom ou pseudo, activer ou non le micro ou la caméra :

{{< figure src="images/2-avatar1.png" link="images/2-avatar1.png" target="_blank">}}

A noter qu'il est possible de changer d'avatar en utilisant le service [Gravatar](https://fr.gravatar.com/). Pour cela, il faut cliquer sur la roue crantée encadrée en rouge sur la capture d'écran ci-dessus, puis aller dans l'onglet profil et renseigner son adresse email :

{{< figure src="images/2-avatar2.png" link="images/2-avatar2.png" target="_blank">}}

Après avoir enregistré, l'avatar sera alors récupéré automatiquement et s'affichera :

{{< figure src="images/2-avatar3.png" link="images/2-avatar3.png" target="_blank">}}

Une fois les options de base choisies, vous vous retrouverez avec cette interface :

{{< figure src="images/2_a.png" link="images/2_a.png" target="_blank">}}

Vous devez voir votre vidéo au centre de l'image.

En bas, un bandeau avec neuf icônes. Les deux premières (un micro et une caméra) permettent de couper respectivement la transmission du son et de la vidéo, ou de la reprendre.

En haut à droite, vous voyez votre flux vidéo.

Comme il n'y a pas d'autre participant pour le moment, il va falloir en inviter. Nous allons donc cliquer sur le bouton « participants » :

{{< figure src="images/2-1_a.png" link="images/2-1_a.png" target="_blank" >}}

Ça ouvre une colonne à droite qui liste les participants et permet d'en inviter en cliquant sur le bouton `Invite someone`  (ou `Inviter d'autres personnes`).

{{< figure src="images/2-2_a.png" link="images/2-2_a.png" target="_blank" >}}

Tout est donc là pour préparer vos invitations.

Pour gérer le reste des options de votre conférence, tout se passe via le bandeau affiché en bas de l'écran. On a vu les 2 premiers (micro, caméra : mute) et celui des participants. Ci-dessous, les fonctionnalités des différents boutons.

**Chat :**

{{< figure src="images/3-0_a.png" link="images/3-0_a.png" target="_blank" >}}

Le quatrième bouton avec un phylactère concerne le chat ; si on clique dessus, une colonne s'ouvre à gauche. Le chat permet d'échanger des liens ou poser des questions sans interrompre la conversation en cours. De plus, il permet à une personne ayant un problème de micro de se signaler. Si votre chat n’est pas ouvert et qu’un ou plusieurs messages sont laissés dessus, alors un chiffre indiquant le nombre de messages non lus sera indiqué à côté de l’icône comme ci-dessous :

{{< figure src="images/3_a.png" link="images/3_a.png" target="_blank" >}}

Lors de l'ouverture du chat, on vous demandera de choisir un nom :

{{< figure src="images/4_a.png" link="images/4_a.png" target="_blank" >}}

Voici un aperçu avec quelques messages :

{{< figure src="images/5_a.png" link="images/5_a.png" target="_blank" >}}

À noter que vous pouvez ajouter des émojis à vos messages. Pour cela, il suffit de cliquer sur le petit smiley se trouvant à côté de l'emplacement où vous tapez vos messages :

{{< figure src="images/6_a.png" link="images/6_a.png" target="_blank" >}}

**Partage d'écran :**

{{< figure src="images/3-1_a.png" link="images/3-1_a.png" target="_blank" >}}

Le troisième bouton représentant un écran avec une flèche permet alors de partager la fenêtre d'une application ouverte sur votre ordinateur ou votre écran.

{{< figure src="images/7-1_a.png" link="images/7-1_a.png" target="_blank">}}

Le flux vidéo transmis sera celui de l'écran ou de la fenêtre, avec une incrustation en coin bas-droite de votre webcam, si elle est allumée. Exemple ci-dessous avec le partage du site TeDomum :

{{< figure src="images/7_a.png" link="images/7_a.png" target="_blank">}}

**Lever la main :**

{{< figure src="images/3-2_a.png" link="images/3-2_a.png" target="_blank" >}}

Le cinquième bouton (ressemblant à une main) permet d'indiquer aux participants que l'on souhaite prendre la parole.
Par exemple, ci-dessous, on voit que `Machine` souhaite prendre la parole grâce à la petite icône bleue :

{{< figure src="images/8_a.png" link="images/8_a.png" >}}

**Micro :**

{{< figure src="images/3-3_a.png" link="images/3-3_a.png" target="_blank" >}}

Le premier bouton (en forme de micro) permet de couper ou d'activer le micro.

**Caméra :**

{{< figure src="images/3-4_a.png" link="images/3-4_a.png" target="_blank" >}}

Le second bouton (caméra) permet de couper ou d'activer l'affichage de sa propre webcam.

**Vue en mosaïque :**

{{< figure src="images/3-5_a.png" link="images/3-5_a.png" target="_blank" >}}

Le septième bouton (vue en mosaïque) permet de voir l'ensemble des partages (webcam ou écran) ou de choisir un seul affichage :

{{< figure src="images/9_a.png" link="images/9_a.png" target="_blank">}}

**Participants :**

{{< figure src="images/2-1_a.png" link="images/2-1_a.png" target="_blank" >}}

Le sixième bouton représentant des personnes permet d'ouvrir la colonne des participants depuis laquelle il est possible d'inviter de nouvelles personnes.

**Quitter la conférence :**

{{< figure src="images/3-6_a.png" link="images/3-6_a.png" target="_blank" >}}

Le neuvième et dernier bouton (téléphone rouge) permet de quitter la conférence.

**Plus d'options :**

{{< figure src="images/3-7_a.png" link="images/3-7_a.png" target="_blank" >}}

Le huitième bouton (trois points) ouvre un menu d'options qui permet plusieurs choses. Entre autres :

- la ligne `Options de sécurité` (avec un bouclier) permet d'ajouter des options de sécurité, comme un mot de passe ou le chiffrement de bout en bout (option expérimentale pour le moment qui ne semble pas être disponible sur tous les navigateurs) ;

- la ligne `Paramètres` avec une roue dentée (comme à la page d'introduction) permet de choisir les périphériques audio et vidéo, de choisir/changer son pseudo, et de sélectionner la langue de l'interface.

### Gestion des membres

Par défaut, la personne qui a créé la conférence est modératrice, c'est-à-dire qu'elle peut exclure d'autres personnes ou couper le micro des intervenants en cas d'écho ou autres interférences par exemple.

Pour ce faire, il suffit d'aller sur la vignette d'un membre et de déplacer le curseur au niveau des 3 petits points se trouvant dans l'angle en bas à gauche pour afficher les options suivantes :

{{< figure src="images/11_a.png" link="images/11_a.png" target="_blank" >}}

### Autres instances

Il existe d'[autres instances de Jitsi Meet](https://entraide.chatons.org/fr/). Si vous ne trouvez pas votre bonheur chez nous, peut-être le trouverez-vous ailleurs ?
