---
title: Nextcloud
summary: Stockage de données, calendrier en ligne, contacts et plus encore, en clair une solution cloud complète.
website: https://data.tedomum.net/
categories:
- collaborate
features:
- validation
- sso
---

## Généralités

[Nexcloud](https://nextcloud.com/) est une plateforme de service de stockage, de partage de fichiers et d'applications diverses en ligne. Il peut être présenté comme une alternative à Dropbox. Notre instance permet par ailleurs d'utiliser l'[outil Collabora Online](#collabora).

## Utilisation de l'outil

Vous pouvez créer un compte en vous rendant directement sur la [page de Nextcloud](https://data.tedomum.net/) qui vous redirigera automatiquement vers [Hiboo](../../general/account/), notre système d'authentification.

**La création des comptes est soumise à la validation d'un administrateur.**

Une fois ce compte en votre possession, vous pourrez vous rendre directement sur la [page de connexion au service Nextcloud](https://data.tedomum.net/login).

## Explorer le contenu

Le bandeau supérieur contient différentes icônes vous permettant de naviguer entre vos applications. Si vous sélectionnez celle ressemblant à un dossier, vous verrez une page similaire à celle ci-dessous listant les fichiers hébergés sur votre compte ; il s'agit en outre de votre page d'accueil par défaut :

{{< figure src="images/1-2.png" link="images/1-2.png" target="_blank">}}

L'interface est assez similaire à l'explorateur de fichier que l'on peut rencontrer sous Windows, Linux ou MacOS. Les trois points indiqués par l'encadré rouge permettent de voir les détails du dossier, de gérer les options de partage ou encore d'ajouter le fichier ou le dossier dans les favoris.

{{< figure src="images/2.png" link="images/2.png" target="_blank">}}

1. Le fil d'Ariane permet de savoir dans quel sous-dossier vous êtes et de remonter au dossier parent. Ce menu permet également de créer un nouveau dossier ou d'ajouter un fichier au dossier que vous parcourez.
1. Vous pouvez ajouter des commentaires en cliquant sur le texte de cet encadré.
1. Permet d'afficher la page sous forme de galerie.
1. Si vous avez supprimé un fichier par erreur, vous pourrez le récupérer dans le dossier contenant les fichiers supprimés :

{{< figure src="images/3.png" link="images/7.png" target="_blank">}}

- le premier bouton vous permet de restaurer le document vers son emplacement d'origine ;
- le second bouton permet de supprimer définitivement le fichier.

## Partage de fichiers, agendas & contacts

### Présentation

Nextcloud permet de partager un élément avec un autre utilisateur, un groupe, un [cercle](#cercle) ou avec tout le monde.

Les groupes sont gérés par les administrateurs et permettent d'avoir un dossier partagé avec un quota spécifique qui n'est pas lié à un compte utilisateur. Les cercles permettent aux utilisateurs de créer des groupes par eux-mêmes pour pouvoir partager facilement un ou plusieurs éléments à une liste de personnes.

### Options pour partager un fichier

{{< figure src="images/8.png" link="images/8.png" target="_blank">}}

Le bouton de partage – signalé par l'encadré rouge – fait apparaître le menu suivant.
{{< figure src="images/9.png" link="images/9.png" target="_blank">}}

Si le fichier ou document est partagé avec un utilisateur, un cercle ou un groupe, les personnes auront par défaut tous les droits sur les documents partagés. Vous pouvez cependant affiner les droits en cliquant sur les `...` s'affichant après leur nom :

{{< figure src="images/9-1.png" link="images/9-1.png" target="_blank">}}

Si vous voulez partager un lien avec des personnes qui n'ont pas de compte, cela fonctionnera dans le même principe, mais les options seront différentes. À vous de définir les options de partage que vous souhaitez appliquer :

{{< figure src="images/9-2.png" link="images/9-2.png" target="_blank">}}

### Options pour partager l'agenda

Dans le même principe que les fichiers, vous pouvez partager un agenda avec un utilisateur, un groupe, un cercle ou encore via un lien :

{{< figure src="images/9-3.png" link="images/9-3.png" target="_blank">}}

Seules les personnes ayant un compte sur Nextcloud pourront bénéficier d'un partage avec droit de modification.

### Options pour partager des contacts

Il est également possible de partager les contacts, mais cette fois, cela ne peut se faire qu'avec des comptes, groupes ou cercles d'utilisateurs enregistrés sur Nextcloud :

{{< figure src="images/9-4.png" link="images/9-4.png" target="_blank">}}

## Cercles ou comment créer rapidement un groupe {id="cercle"}

Il est possible de créer son propre groupe d'utilisateurs par le biais de l'application [Cercles (Circles en anglais)](https://apps.nextcloud.com/apps/circles). Cela est intéressant quand on partage des documents avec une liste de personnes identique à chaque fois.

Pour cela, il suffit d'aller dans la partie `Contacts` dans la barre d’outils en haut de l’écran puis d'aller dans la partie `Cercles` :

{{< figure src="images/9-cercles1.png" link="images/9-cercles1.png" target="_blank" >}}

Si on fait déjà partie d'un cercle, alors celui-ci sera listé sur cette page, tout comme les cercles déclarés visibles pour tous. À noter que la liste des membres d'un cercle ne sera affichée que pour les personnes `membres` de celui-ci.

Pour créer un nouveau cercle, il suffit simplement de cliquer sur le bouton en forme de `+` et de choisir le nom voulu :

{{< figure src="images/9-cercles2.png" link="images/9-cercles2.png" target="_blank">}}

Par défaut, la personne qui aura créé le cercle en sera propriétaire et aura tous les droits sur le cercle. Pour les autres membres, plusieurs rôles existent :

- Membre : simple membre du groupe sans droit particulier
- Modérateur : A le droit d'inviter et d'exclure des membres
- Administrateur : Peut nommer de nouveaux modérateurs et admins mais ne peut pas modifier les paramètres du cercle.
- Propriétaire (un seul par cercle) : A tous les droits sur le cercle.

Ci-dessous les options que seul le propriétaire du cercle peut modifier :

{{< figure src="images/9-cercles3.png" link="images/9-cercles3.png" target="_blank">}}

## Collabora – La suite bureautique intégrée à notre Nextcloud {id="collabora"}

[Collabora Online Development Edition (CODE)](https://www.collaboraoffice.com/code/) permet de créer et modifier des fichiers directement dans votre espace Nextcloud.

Grâce à cet outil, la création ou la modification des fichiers ci-dessous est possible :

- odt, doc et docx – Traitement de texte
- ods, xls et xlsx – Tableur
- odp, ppt et pptx – Présentation

Le [site de Collabora](https://www.collaboraoffice.com/document-conversion/) vous permettra d'en savoir plus quant aux formats de documents pris en compte.

Pour modifier un fichier possédant l'une des extensions mentionnées ci-dessus, il suffit de cliquer dessus. Vous aurez alors une fenêtre similaire à celle-ci :

{{< figure src="images/10.png" link="images/10.png" target="_blank">}}

Si vous souhaitez créer un fichier, il suffit de cliquer sur le bouton ressemblant à `+` et de sélectionner le bon type de fichier comme sur la capture d'écran suivante :

{{< figure src="images/11.png" link="images/11.png" target="_blank" >}}

À la création, seuls les formats proposés par LibreOffice (odt, ods, odp) seront proposés. La dernière entrée permet de créer un dossier où seront stockés des modèles types de documents.

## Synchroniser son calendrier avec son ordinateur ou son téléphone {id="sync_cal"}

La partie Agenda permet de gérer votre emploi du temps. Il est possible de synchroniser celui-ci avec le calendrier de votre ordinateur ou de votre smartphone. Pour cela, il faut tout d'abord récupérer le lien de votre calendrier :

{{< figure src="images/12.png" link="images/12.png" target="_blank">}}

L'authentification des comptes utilisant Hiboo, il vous faudra ensuite aller dans vos `Paramètres > Sécurité` pour créer un nouveau mot de passe d'application :

{{< figure src="images/14-2.png" link="images/14-2.png" target="_blank">}}

Vous pouvez désormais ajouter ce calendrier CalDAV dans votre logiciel en utilisant le lien de votre calendrier, votre nom d'utilisateur et le mot de passe généré.

Si vous possédez un smartphone Android, vous pouvez installer l'application `DAVx⁵` pour synchroniser votre agenda. Cette application est disponible sur [F-Droid](https://f-droid.org/fr/packages/at.bitfire.davdroid/) ou le [Google Play](https://play.google.com/store/apps/details?id=at.bitfire.davdroid&referrer=utm_source%3Dhomepage).

Du côté de DAVx⁵ lors de l'ajout du compte, il suffit de compléter les éléments comme suit :

- URL de base : data.tedomum.net ;
- nom d'utilisateur : celui de Nextcloud ;
- mot de passe : le mot de passe d'application généré ci-dessus.

{{< figure src="images/15-2.jpg" link="images/15-2.jpg" target="_blank">}}

## Quotas proposés par TeDomum

Vous trouverez ci-dessous le stockage proposé par défaut ainsi que les quotas maximums que nous appliquons :

- Base : 1 Go
- Quota Max : 5 Go
- Quota Max pour un membre de l'association : 10 Go

Pour faire évoluer votre compte, il suffit de [prendre contact avec l'un de nos administrateurs](../../member/) sur Matrix, Mastodon ou encore par mail.

## Applications pour Nextcloud

Il existe des [applications Nextcloud](https://nextcloud.com/install/#install-clients) pour votre ordinateur ou votre smartphone.

[L'environnement GNOME](https://www.gnome.org/) intègre très bien Nextcloud au sein même du système. Il suffit simplement d'aller dans les `paramètres > Comptes en ligne` et d'ajouter un compte Nextcloud :

{{< figure src="images/16.png" link="images/16.png" target="_blank">}}

Puis de remplir les quelques informations demandées :

{{< figure src="images/17.png" link="images/17.png" target="_blank">}}

Pour le mot de passe, vu que notre authentification passe par Hiboo, il faut appliquer le [même procédé que pour le calendrier](#sync_cal).

Vous pourrez paramétrer les éléments que vous souhaitez utiliser sur votre PC :

{{< figure src="images/18.png" link="images/18.png" target="_blank">}}

Votre espace Nextcloud apparaîtra alors dans votre gestionnaire de fichiers :

{{< figure src="images/19.png" link="images/19.png" target="_blank">}}

Vous pourrez gérer vos fichiers comme s'ils étaient sur votre PC. Votre agenda affichera également les événements mentionnés dans Nextcloud et vos contacts remonteront dans l'application `Contacts` ainsi que dans votre client mail (Evolution).

## Paramètres personnels

Afin de ne pas systématiquement mentionner l'adresse créée par notre _SSO_ (_Hiboo_), l'adresse e-mail n'apparaît pas automatiquement dans les données personnelles d'utilisateur. Nous devons le faire manuellement depuis le panneau d'administration générale de l'instance. Il suffit donc de [prendre contact avec les membres](../../member/) en mentionnant le pseudo et l'adresse e-mail à ajouter.

## Documentation supplémentaire

En plus des informations données ci-dessus, vous pouvez consulter [l'article de Tugaleres.com](https://tugaleres.com/2019/03/03/nextcloud-une-solution-cloud-libre-et-complete/) qui présente Nextcloud et ses différentes possibilités.

Nous vous proposons également de consulter le [manuel utilisateur](https://data.tedomum.net/index.php/s/TKaOMzzS4DVZD5r) (en anglais) ainsi que la [documentation officielle](https://docs.nextcloud.com/server/latest/user_manual/) du projet.

## Autres instances

Il existe d'autres instances Nextcloud. Si vous ne trouvez pas votre bonheur chez nous, peut-être le trouverez-vous ailleurs ?
Ci-dessous une liste d'instances :

- <https://nuage.parinux.org> (inscription sur <https://l.parinux.org/sso-parinux/>)
- <https://cloud.lebib.org>
- <https://sans-nuage.fr>

À noter que vous en trouverez certainement d'autres du côté des [chatons](https://chatons.org/).

## Autre contenu lié à Nextcloud
