---
title: Administration Nextcloud
---

## Utiliser la commande occ pour enlever le mode maintenance ou activer une application

Pour cela, il suffit d'utiliser la commande ci-dessous :

```bash
docker compose exec --user www-data nextcloud php occ <command>
```

> Exemple pour mettre à jour les applications :  
> ```bash
> docker compose exec --user www-data nextcloud php occ upgrade -v
> ```

Plus d'informations ici : <https://docs.nextcloud.com/server/latest/admin_manual/configuration_server/occ_command.html>

## Se connecter sur le compte admin local

Pour cela, il faut ajouter `?direct=1` à la fin de l'adresse.

## Vérification après mise à jour

Après une mise à jour, il arrive que les URL de NextCloud ne fonctionnent plus sans `index.php`. Hormis le fait que les liens ne seront plus résolus, l'authentification avec _Hiboo_ n'aboutira pas non plus.

Le fichier de configuration doit contenir la ligne `'htaccess.RewriteBase' => '/',`, puis lancer la commande :

```bash
docker compose exec --user www-data nextcloud php occ maintenance:update:htaccess
```

En cas d'échec, il faut au moins modifier la configuration du service dans _Hiboo_, en ajoutant `/index.php` à l'URL :

> **URL location of the IDP where the SP will send the SLO request**
>
> ```txt
> https://data.tedomum.net
> ```

## Augmenter le `opcache.memory_consumption`

Par défaut, `opcache.memory_consumption=128` après une reconstruction de la pile de containers. Pour l'augmenter, il faut lancer la commande suivante :

```bash
docker compose exec nextcloud sed -i "s/opcache.memory_consumption=128/opcache.memory_consumption=256/" /usr/local/etc/php/conf.d/opcache-recommended.ini && docker compose exec nextcloud apache2ctl graceful
```
