---
title: Pixelfed
summary: Partagez vos photos avec vos amis ou commentez les leurs.
website: https://pix.tedomum.net
categories:
- publish
features:
- contact
---

## Généralités

PixelFed permet de partager des photos avec ses amis ou encore de commenter et aimer (like) les photos des autres utilisateurs. Son principe est similaire à Instagram, mais repose sur un modèle décentralisé et sur le réseau [fediverse](../../general/fediverse/).

Le service PixelFed de TeDomum est une instance du réseau [fediverse](../../general/fediverse/). C'est-à-dire que lorsque vous créez un compte chez nous, c'est à l'ensemble du réseau [fediverse](../../general/fediverse/) que vous avez accès.

## Inscription au service

Suite à une vague de SPAM, les inscriptions ont été désactivées. Il faut donc passer par le biais d'un [administrateur](../../member/) pour la création d'un compte.

## Utilisation

### Les menus dans PixelFed

Une fois connecté à votre compte, vous serez redirigé sur votre fil d'actualité (Timeline). Les liens `login` et `register` seront alors remplacés par de nouvelles icônes et un petit moteur de recherche fait également son apparition en haut de la page :

{{< figure src="images/1.png" link="images/1.png" target="_blank">}}

Le `logo` vous permet de revenir à l'accueil, qui correspond à votre fil d'actualité.

La `boussole` (ou bouton discover) permet de découvrir quelques profils parmi les utilisateurs inscrits ainsi que certaines photos :

{{< figure src="images/2.png" link="images/2.png" target="_blank">}}

Le `coeur` permet de voir toutes les notifications reçues :

{{< figure src="images/3.png" link="images/3.png" target="_blank">}}

L'`appareil photo` permet d'ajouter une nouvelle image sur PixedFed, voir chapitre [Poster une image sur PixelFed](#poster-une-image-sur-pixelfed)

{{< figure src="images/4.png" link="images/4.png" target="_blank">}}

Le `petit bonhomme` permet plusieurs choses.

{{< figure src="images/5.png" link="images/5.png" target="_blank">}}

Dans l'ordre :

* voir son propre profil ;
* voir son fil d'actualité (Timeline) ;
* voir le fil d'actualité public ;
* les paramètres de son compte ;
* accès au panel admin (si l'on est admin bien entendu) ;
* le bouton pour se déconnecter.

### Poster une image sur PixelFed

Pour cela, il vous suffit de cliquer sur l'icône en forme d' `appareil photo` se trouvant en haut à droite, ce qui vous permettra de voir le formulaire suivant :

{{< figure src="images/6.png" link="images/6.png" target="_blank">}}

Sélectionnez alors la photo de votre choix et ajoutez une description si vous le souhaitez.

`Attention :` dans le cas où le contenu peut être choquant, il faut alors activer l'option `CW/NSFW` :

{{< figure src="images/7.png" link="images/7.png" target="_blank">}}

Quand tout est prêt, cliquez sur `Create Post` pour publier la photo.

### Contenu de votre fil d'actualité (Timeline)

De base, vous ne trouverez que les images/photos que vous avez postées.
Ceci dit, si vous aimez (like) une photo alors celle-ci apparaîtra dans votre fil d'actualité.

## Application mobile

L'application en ligne est une _WebApp_, il est possible de sauvegarder le raccourci de l'application sur la page d'accueil de son mobile.

Le développeur de Pixelfed développe également des applications natives :

* iOS : [Join TestFlight Beta](https://pixelfed.org/go/testflight-ios-beta)
* Android : [Direct Download Pixelfed APK](https://dl.apps.pixelcdn.net/pixelfed-android-beta/hrkyb07b-v1.0.0.39/pixelfed-for-android-v1.0.0.39.apk)

D'autres recommandantions sur la page officielle [Pixelfed Mobile Apps](https://pixelfed.org/mobile-apps).

L'application [Fedilab](https://fedilab.app/) permet d'utiliser PixelFed en plus des services suivants :

* Mastodon
* Peertube
* Pleroma
* GNU Social
* Friendica

## Autres instances

Il existe d'autres instances Pixelfed. Si vous ne trouvez pas votre bonheur chez nous, peut-être le trouverez-vous ailleurs ?
Ci-dessous une liste d'instances :

* <https://pix.diaspodon.fr/>
* <https://pixelfed.social/>
* <https://pixelfed.uno/>
* <https://pxl.roflcopter.fr/>

À noter que vous en trouverez certainement d'autres du côté des [chatons](https://chatons.org/).

## Autre contenu lié à Pixelfed :
