---
title: Administration Pixelfed
---

### Déployer Pixelfed

Après le déploiement de Pixelfed, on doit migrer sa base de données.

```bash
docker-compose exec app php artisan config:cache
docker-compose exec app php artisan route:cache
docker-compose exec app php artisan migrate --force
```

### Accéder à la console interne de Pixelfed

La plupart des fonctionnalités ne sont pas accessibles via l'interface web d'administration. C'est pourquoi, il faut passer par la console interne. Pour cela, il suffit d'utiliser ces commandes :

```bash
cd /srv/apps/pix
docker-compose exec app php artisan ...
```

Les commandes utiles sont détaillées ci-dessous.

### Gestion d'utilisateurs

Pour afficher les utilisateurs :

```bash
docker-compose exec app php artisan user:table
```

Ou pour en afficher 1000 :

```bash
docker-compose exec app php artisan user:table 1000
```

Pour créer un utilisateur :

```bash
docker-compose exec app php artisan user:create
```

Les opérations sont interactives ensuite et il suffit de renseigner ce qui est demandé.

Pour supprimer un utilisateur :

```bash
docker-compose exec app php artisan user:delete <id>
```

L'identifiant de l'utilisateur provient de la table des utilisateurs.

Pour en savoir plus, voici le lien vers la documentation officielle : <https://docs.pixelfed.org/running-pixelfed/administration/#artisan-commands>
