---
title: Vaultwarden
summary: Accédez à vos mots de passe et gérez-les depuis n'importe où !
website: https://vault.tedomum.net/
categories:
- other

---

## Généralités

Le service Vaultwarden de TeDomum est basé sur le projet suivant : <https://github.com/dani-garcia/vaultwarden>

Il permet de conserver et gérer des listes de comptes et mots de passe simplement et de manière sécurisée, tout en les ayant à portée de main sur n'importe quel périphérique. C'est une alternative à l'API du serveur Bitwarden, ce qui permet d'utiliser les clients Bitwarden avec.

## Inscriptions

Le service est ouvert à tout le monde. Pour créer un compte, il suffit de se rendre sur la [page d'accueil](https://vault.tedomum.net/) du service puis de cliquer sur `créer un compte` et de remplir le formulaire ci-dessous :  

{{< figure src="1.png" link="1.png" target="_blank">}}

## Utilisation

### Interface

L'interface du site est très simple et ressemble à ceci après connexion :  

{{< figure src="2.png" link="2.png" target="_blank">}}

Le bandeau du haut permet de naviguer entre les listes de comptes (onglet `Mon coffre`), les outils pour importer / exporter les données (onglet `Outils`) et accéder aux paramètres du compte (onglet `Paramètres`, également accessible via l'icône de votre compte tout à droite).

La partie du bas est découpée en trois :

* À gauche, la partie `filtres` qui permet de chercher les données enregistrées par type. Par défaut, aucun filtre n'est appliqué et vous verrez donc l'intégralité des données auxquelles vous avez accès. C'est-à-dire, les vôtres et celles des organisations auxquelles vous appartenez.
* Au milieu, la liste des résultats en fonction du filtre choisi.
* À droite, les organisations auxquelles vous êtes affectés.

### Ajouter un compte sur Vaultwarden

Pour cela, il suffit de cliquer sur le bouton `Ajouter un élément` :

{{< figure src="3.png" link="3.png" target="_blank">}}

Ce qui fera apparaître le formulaire suivant que vous aurez à remplir (déjà rempli dans le cas présent) :

{{< figure src="4.png" link="4.png" target="_blank">}}

Si le compte en question n'est pas personnel, mais appartient à une organisation, il est possible de l'affecter à celle-ci afin que tous les membres de l'organisation puissent y avoir accès.

Après avoir cliqué sur `Enregistrer`, le compte s'affiche dans la liste des comptes :

{{< figure src="5.png" link="5.png" target="_blank">}}

L'icône du site / service se génère de façon automatique.

### Utiliser ou modifier des comptes déjà enregistrés

L'intérêt d'avoir des comptes enregistrés est qu'il n'est plus nécessaire de taper manuellement des données pour vous connecter sur vos sites favoris. En cliquant sur le nom donné à l'enregistrement `Tugaleres.com` dans notre exemple, cela ouvrira une fenêtre similaire à celle-ci :

{{< figure src="6.png" link="6.png" target="_blank">}}

Cette fenêtre vous permet de consulter et copier les éléments dont avez besoin, mais aussi de les modifier en cas de changement.  
Pour les champs à utiliser, c'est-à-dire l'adresse du site, le nom de compte et le mot de passe, vous avez les deux icônes suivantes :

{{< figure src="7.png" link="7.png" target="_blank" >}}

La première icône permet d'ouvrir le site en question et la seconde permet de copier la donnée voulue pour pouvoir la coller dans le champ prévu à cet effet.

### Les organisations

Un aspect plutôt pratique et utile si l'on travaille en groupe, que ce soit pour une entreprise ou une association. En plus de pouvoir partager des comptes, il est également possible de faire différentes `Collections` sous une même organisation ; cela peut être utile pour séparer les données, mais aussi pour donner les accès en fonction de qui a besoin de les utiliser.  

Exemple : on peut faire une collection `Finances` dédiée à tout ce qui touche la finance et une autre `Communication` pour regrouper par exemple tous les comptes permettant de communiquer de façon officielle au nom de l'organisation.

Pour illustrer ça, voici une organisation fictive pour `Tugaleres.com` dans laquelle nous avons deux collections comme décrites ci-dessus :

{{< figure src="8.png" link="8.png" target="_blank">}}

{{< figure src="9.png" link="9.png" target="_blank">}}

L'ajout des comptes dans une organisation fonctionne exactement de la même façon qu'un compte personnel.

Il est possible pour cette organisation d'ajouter des personnes avec les droits voulus. Pour ça, il suffit d'aller dans l'onglet `Gérer` de l'organisation pour avoir la liste des membres et de cliquer sur `Inviter un utilisateur`, ce qui vous ouvrira le formulaire ci-dessous :

{{< figure src="10.png" link="10.png" target="_blank">}}

Cela enverra alors un email à la personne pour l'inviter à rejoindre l'organisation. Une fois qu'elle aura accepté, il faudra alors valider son inscription dans l'onglet `Accepté` :

{{< figure src="11.png" link="11.png" target="_blank">}}

## Applications

Il existe des applications pour smartphone et PC.

### Sur PC

L'application est disponible pour [Windows, MacOS et Linux](https://bitwarden.com/#download)  
À noter que sur la plupart des distributions Linux, l'application peut être installée directement via le gestionnaire d'applications.

Une fois installée, l'application ressemble à ceci :

{{< figure src="12.png" link="12.png" target="_blank">}}

### Sur smartphone

L'application est disponible pour Android et iOS sur les stores officiels et open sources suivants :

* [F-Droid](https://mobileapp.bitwarden.com/fdroid/) (bien suivre les indications)
* [Google Play](https://play.google.com/store/apps/details?id=com.x8bit.bitwarden)
* [App Store](https://itunes.apple.com/app/bitwarden-free-password-manager/id1137397744?mt=8)

## En savoir plus

Afin d'en savoir plus sur Bitwarden, vous pouvez vous référer [au site dédié à l'application](https://bitwarden.com/).

## Autres instances

Il existe d'autres instances Bitwarden. Si vous ne trouvez pas votre bonheur chez nous, peut-être le trouverez-vous ailleurs ?
Ci-dessous une liste d'instances :

* <https://passwd.hostux.net/>

## Problèmes connus et solutions possibles

Vous trouverez ci-dessous une page listant les problèmes connus et les solutions possibles à appliquer. Cette page peut servir à un simple utilisateur tout comme à un administrateur du service.
