---
title: PeerTube
summary: Le baptême du petit dernier ou la dernière conférence à la mode, un clic pour publier une vidéo.
website: https://video.tedomum.net
categories:
- publish
features:
- validation

---

## Généralités

PeerTube est une plateforme d'hébergement de vidéo en ligne libre et open source. Son fonctionnement est similaire à YouTube, mais repose sur un modèle décentralisé et sur le réseau [fediverse](../../general/fediverse/).

Le service PeerTube de tedomum est une instance du réseau [fediverse](../../general/fediverse/). C'est-à-dire que lorsque vous créez un compte chez nous, c'est à l'ensemble du réseau [fediverse](../../general/fediverse/) que vous avez accès.

## Inscription au service

Depuis le 15 Décembre 2023, il est possible de demander un compte directement via le bouton [Request an account](https://video.tedomum.net/signup). Durant cette procédure d'enregistrement, il sera demandé de justifier la demande de compte et de remplir les champs nécessaires à la création de celui-ci (nom affiché publiquement, id du compte, email, mot de passe etc...).

Une fois le formulaire complété, la demande est soumise à la validation des modérateurs. En plus de cela, une autre mesure de protection a été mise en place. En effet, après la validation de votre compte, la première vidéo postée devra également être validée par un modérateur pour savoir si son contenu est en accord avec nos [CGU](../../general/cgu/).

Le but principal dans cette façon de procéder est de permettre les inscriptions, tout en empêchant les comptes dédiés au SPAM de nous polluer.

## Utilisation

Il est possible d'accéder au contenu de PeerTube sans avoir de compte.
En revanche, pour pouvoir héberger une vidéo, un compte est nécessaire.

### Interface

{{< figure src="images/1.png" link="images/1.png" target="_blank">}}

L'interface est plutôt simple et se prend vite en main.

Nous avons en haut à droite, un moteur de recherche et un bouton pour mettre en ligne les vidéos.

Sur la gauche, une colonne regroupe les principaux menus. Celle-ci peut être cachée et rendue visible en cliquant sur les trois lignes horizontales en haut à gauche de l'interface.

- la première partie sert à se connecter ou s'inscrire. Si vous êtes connecté, un clic sur votre nom d'utilisateur ouvrira un menu vous permettant de choisir la langue de l'interface et des vidéos que vous souhaitez voir, de cacher ou non le contenu sensible et de désactiver l'[aide au partage de vidéo](#partage_video) ;

{{< figure src="images/2.png" link="images/2.png" target="_blank">}}

- la partie `Ma bibliothèque` :
  - `Vidéos` : toutes vos vidéos,
  - `Listes de lecture` : permet de créer des listes de lecture ou de visualiser celles déjà créées,
  - `Abonnements` : les vidéos issues des chaînes auxquelles vous êtes abonné,
  - `Historique` : voir toutes les vidéos que vous avez visionnées. À noter qu'il est possible de désactiver l'historique ;
- la partie `Vidéos` :
  - `Découvrir` : liste les vidéos en fonction de leur thématique,
  - `Tendances` les vidéos ayant le plus de vues (toutes instances confondues),
  - `Les plus appréciées` : les vidéos les mieux notées,
  - `Ajoutées récemment` : les dernières nouveautés (toutes instances confondues),
  - `Vidéos locales` : affichera uniquement les vidéos de l'instance TeDomum ;
- la partie `À propos` pour les informations sur l'instance, accéder à la documentation de PeerTube et à la liste des instances fédérées.

Enfin, différents liens d'accès rapide sont disponibles au bas de la colonne. Ils vous permettront d'accéder aux informations de contact, à l'aide, à la foire aux questions, aux statistiques et aux raccourcis clavier. Voici les raccourcis existants :

{{< figure src="images/5.png" link="images/5.png" target="_blank">}}

Les descriptions ne sont pas toutes traduites ; ce problème [a déjà été signalé](https://github.com/Chocobozzz/PeerTube/issues/1195).

### Activer le mode sombre

Il est possible d'activer le mode sombre dans les paramètres du compte.

{{< figure src="images/6.png" link="images/6.png" target="_blank">}}

Permet de passer au thème sombre (dark) de PeerTube :

{{< figure src="images/7.png" link="images/7.png" target="_blank">}}

### Mettre en ligne une vidéo

Comme mentionné plus haut, la première étape pour pouvoir héberger une vidéo sur PeerTube est la [création du compte](#inscription-au-service).

Une fois connecté à votre compte, cliquez sur le bouton `publier` pour obtenir la page suivante :

{{< figure src="images/9.png" link="images/9.png" target="_blank">}}

Il y a plusieurs méthodes pour mettre en ligne une vidéo sur notre instance PeerTube.
Vous trouverez ci-dessous les différentes méthodes.

#### Vidéos se trouvant en local

Sélectionnez l'onglet `Téléverser un fichier`, puis la vidéo que vous souhaitez mettre en ligne et son upload commencera. Vous aurez alors l'affichage suivant :

{{< figure src="images/10.png" link="images/10.png" target="_blank">}}

- `Le titre` : c'est ce qui sera affiché sur la page d'accueil ou dans les recherches ;
- `Étiquettes` : plus connu sous le nom anglais de tag, cela permet de mettre des mots liés à votre vidéo pour aider à son référencement et aussi comprendre les sujets qu'elle traite ;
- `Description` : pour ajouter tous les éléments que vous souhaitez, exemple : les participants ou la source de la musique ou encore de la vidéo, etc. ;
- `Chaîne` : comme sur YouTube, vous pouvez avoir plusieurs chaînes dans votre profil. Par exemple, une pour les jeux vidéos et une autre pour le sport et de ce fait classer les vidéos dans une chaîne ou dans une autre ;
- `Catégorie` : le type de vidéo ;
- `La licence` : permet de savoir quel droit a un utilisateur vis-à-vis de la vidéo. Il est bien de la préciser si connue ;
- `Langage` : la langue utilisée dans la vidéo ;
- `Confidentialité` : vous pouvez choisir d'afficher votre vidéo partout, de la rendre accessible seulement pour ceux qui ont le lien ou de la garder pour vous ;
- une option pour marquer votre vidéo comme contenant du contenu sensible ;
- la possibilité d'attendre que l'encodage soit terminé pour mettre en ligne la vidéo. L'encodage permet d'avoir plusieurs formats de vidéo. Sur TeDomum, vos vidéos sont converties automatiquement en 360p et 720p.

#### Vidéos se trouvant sur une autre plateforme (YouTube)

Sélectionnez l'onglet `Importer avec une URL` puis remplissez le formulaire comme ci-dessous :

{{< figure src="images/11.png" link="images/11.png" target="_blank">}}

En cliquant sur importer, vous aurez alors une page similaire à celle ci-dessous qui apparaîtra préremplie avec toutes les informations récupérées depuis sa source :

{{< figure src="images/12.png" link="images/12.png" target="_blank">}}

Complétez-la si nécessaire et validez.

#### Vidéos torrent

Sélectionnez l'onglet `Importer avec un torrent` et suivez les étapes qui sont similaires à celles décrites ci-dessus.

#### Diffuser en direct / live

Depuis la version 3 de Peertube, il est possible de publier en direct à l'aide de `Aller au direct`. Pour savoir comment procéder, vous pouvez vous référer à la [documentation suivante](https://docs.joinpeertube.org/fr/use/create-upload-video#diffuser-un-direct).

### Lecture des vidéos

Par défaut, lorsque vous cliquerez sur une vidéo, celle-ci se lancera automatiquement.
Si vous avez un compte, il est possible de désactiver cette option.

Ci-dessous l'écran que vous aurez en cliquant sur une vidéo :

{{< figure src="images/13.png" link="images/13.png" target="_blank">}}

La partie haute est dédiée à la vidéo et la partie basse, aux informations liées à celle-ci (titre, définition, commentaires) ainsi qu'à une suggestion de vidéos à voir.

Concernant le lecteur, voici les fonctionnalités que l'on retrouve :

{{< figure src="images/14.png" link="images/14.png" target="_blank">}}

1. Le bouton de lecture / Pause ;
1. Le temps regardé et la durée totale de la vidéo ;
1. La vitesse de téléchargement et d'envoi des données ;
1. Le nombre de personnes regardant et partageant cette vidéo ;
1. La gestion du son ;
1. Permet de régler la vitesse de lecture de la vidéo ainsi que sa qualité ;
1. Affiche la vidéo en grand dans la fenêtre et le mode plein écran.

Et voici ce qu'on retrouve exactement sur la partie du bas :

{{< figure src="images/15.png" link="images/15.png" target="_blank">}}

1. les informations sur la vidéo entrées lors de [la mise en ligne](#mettre-en-ligne-une-vidéo) ;
1. une fonctionnalité pour dire si vous avez aimé la vidéo ou non (visible uniquement si connecté à un compte) ;
1. un menu pour partager la vidéo. Ce menu permet également d'obtenir le code HTML pour intégrer la vidéo à un site web ;
1. sauvegarder la vidéo dans une liste de lecture ;
1. un menu pour télécharger la vidéo et signaler tout abus. Vous pourrez aussi bloquer le compte afin de ne plus voir son contenu. `Attention` pour pouvoir signaler une vidéo, il faut avoir un compte ;
1. s'abonner à la chaîne ;
1. le système de commentaire.

#### Aider au partage {#partage_video}

PeerTube vous permet d'aider au partage des vidéos. Si cette option est activée, vous aidez PeerTube à partager la vidéo que vous visionnez avec d'autres internautes. Cela permet d'alléger les serveurs qui, rappelons-le, sont souvent mis à disposition par des associations ou particuliers qui ne peuvent pas proposer la même puissance que les grosses entreprises.

## Ajout d'instances

Depuis la v2, les instances sont suivies de façon automatique.
De ce fait, nous suivons beaucoup plus d'instances qu'avant !

Si jamais une instance manque à l'appel ou une instance pose problème, vous pouvez [nous en faire part](../../member/).

## Application mobile

Il existe trois applications pour Android :

- L'application [P2Play](https://gitlab.com/agosto182/p2play/)
- L'application [TubeLab](https://framagit.org/tom79/fedilab-tube)
- L'application [Thorium](https://github.com/sschueller/peertube-android)

## Quotas proposés par TeDomum

Vous trouverez ci-dessous le stockage proposé par défaut ainsi que les quotas maximums que nous appliquons :

- Base : 2 Go
- Quota Max : 20 Go
- Quota Max pour un membre de l'association : 30 Go

Pour faire évoluer votre compte, il suffit de [prendre contact avec l'un de nos administrateurs](../../member/) sur Matrix, Mastodon ou encore par mail.

## En savoir plus sur PeerTube ?

Si vous souhaitez avoir plus d'informations sur PeerTube, alors les sites suivants feront peut-être votre bonheur :

- <https://framablog.org/tag/peertube/>
- <https://joinpeertube.org/fr_FR/>
- <https://mypads.framapad.org/mypads/?/mypads/group/dane-8igx75o/pad/view/documentation-utilisateurs-peertube-pn4bhb7kr>

## Autres instances

Il existe [d'autres instances PeerTube](https://instances.joinpeertube.org/instances). Si vous ne trouvez pas votre bonheur chez nous, peut-être le trouverez-vous ailleurs ?

## Plus d'informations

Vous trouverez ci-dessous des pages donnant des informations sur PeerTube sur des thèmes plus précis :
