---
title: Modération et outils disponibles
---

## Généralités

Cette page a pour but de présenter les outils liés à la modération de Peertube.

## Agir côté utilisateur

Il peut arriver de tomber sur du contenu inapproprié et dans ce cas, le mieux est de le signaler afin que nous puissions en prendre connaissance. Une option existe pour cela, vous trouverez ci-dessous quelques explications sur son fonctionnement.

### Signaler un contenu inapproprié

Pour cela, il suffit de cliquer sur le menu `...` se situant sous la vidéo puis sur le sous-menu signaler :

{{< figure src="../images/16.png" link="../images/16.png" target="_blank" >}}

Ce qui ouvrira ensuite une fenêtre comme celle-ci dans laquelle il sera possible de décrire le problème :

{{< figure src="../images/17.png" link="../images/17.png" target="_blank">}}

Dans le cas où la vidéo n'est pas hébergée sur l'instance sur laquelle on se trouve, le signalement sera envoyé à l'équipe de modération de l'instance où est hébergée la vidéo en plus de celle de votre instance.

## Agir en tant que modérateur

Lorsque l'on a un rang `Modérateur`, un nouveau menu est visible au niveau de son compte :

{{< figure src="../images/18.png" link="../images/18.png" target="_blank" >}}

En cliquant dessus, on tombe sur une page similaire à celle-ci :

{{< figure src="../images/19.png" link="../images/19.png" target="_blank">}}

Par défaut, on voit la liste de tous les utilisateurs. Un autre onglet est disponible pour voir les signalements. Il est possible d'agir à partir des deux pages.

Via la liste des utilisateurs, il est possible de modifier, supprimer ou encore bannir un compte utilisateur en passant via les `...` se trouvant à côté du nom d'utilisateur :

{{< figure src="../images/20.png" link="../images/20.png" target="_blank">}}

Concernant les modifications possibles, elles portent sur l'email, la réinitialisation du mot de passe ainsi que la gestion des quotas :

{{< figure src="../images/21.png" link="../images/21.png" target="_blank">}}

L'autre méthode est d'agir sur un signalement. Par ailleurs, si un signalement est fait, toutes les personnes ayant un rôle de `Modérateur` ou `Administrateur` seront notifiées par email et recevront une notification directement sur leur compte Peertube.

Le signalement s'affichera alors dans la partie `Modération > Rapports` :

{{< figure src="../images/22.png" link="../images/22.png" target="_blank">}}

Ce qui affichera une page ressemblant à ceci :

{{< figure src="../images/23.png" link="../images/23.png" target="_blank">}}

Il est alors possible de déplier le signalement via le `>` afin d'obtenir plus d'informations :

{{< figure src="../images/24.png" link="../images/24.png" target="_blank">}}

Une fois que tout a été pris en compte, il suffit d'aller sur le bouton `Actions` pour agir :

{{< figure src="../images/25.png" link="../images/25.png" target="_blank" >}}

Comme on peut le voir plus haut, dans le menu `Modération`, d'autres sous-menus sont également disponibles pour revenir sur des actions effectuées auparavant ou bloquer toute une instance.

Au niveau des vidéos, on peut effectuer directement certaines actions à partir des `...` :

{{< figure src="../images/26.png" link="../images/26.png" target="_blank" >}}

Par rapport à un compte utilisateur sans droit particulier, une personne ayant un rang de `Modérateur` aura 3 menus supplémentaires :

* `Mise à jour` : Permet de changer le titre, les étiquettes, la description etc... Mais aussi de marquer la vidéo comme possédant du contenu sensible.

{{< figure src="../images/27.png" link="../images/27.png" target="_blank">}}

* `Bloquer` : Bloque la vidéo sur l'instance mais peut également servir à demander aux autres instances de ne plus la fédérer.

{{< figure src="../images/28.png" link="../images/28.png" target="_blank">}}

* `Supprimer` : Pour supprimer définitivement la vidéo (action irréversible).

## Agir en tant qu'administrateur

Au niveau modération, une personne ayant le rôle `Administrateur` voit d'autres menus qui peuvent servir :

{{< figure src="../images/29.png" link="../images/29.png" target="_blank">}}

Les menus `Fédération` et `Configuration` peuvent aider.

Celui concernant la fédération permet d'ajouter les instances avec lesquelles on souhaite se fédérer et donc voir le contenu arriver sur notre instance. De ce fait, il est conseillé de mettre des instances dont le contenu et les règles appliquées sont compatibles avec vos propres règles, ce qui évitera d'avoir à modérer par la suite.

La partie `Configuration` possède un élement qui peut aider l'équipe de modération : la gestion des inscriptions. En effet, il peut arriver qu'une vague de comptes s'inscrivent uniquement dans le but de spammer par exemple ; dans ce cas, le mieux est de bloquer les inscriptions, au moins temporairement, pour stopper le souci.

Il y a d'autres menus non cités mais qui n'ont pas de rapport avec la modération et donc ne vous aideront pas sur ce sujet.

## Actions possibles dans Hiboo

Pour le moment, notre instance Peertube n'est pas encore migrée sur Hiboo et donc aucune action de modération ne peut être lancée à partir d'Hiboo.
