---
title: WriteFreely
summary: Créez un blog fédéré pour que vos articles soient visibles sur d'autres services tel que Mastodon !
website: https://write.tedomum.net
categories:
- publish
features:
- validation
- sso
---

## Généralités

WriteFreely permet de créer des blogs connectés au [Fediverse](../../general/fediverse/). Son interface est assez simple, mais permet d'utiliser les langages HTML et Markdown.

## Inscription au service

L'inscription au service passe désormais par [Hiboo](../../general/account/).

À noter qu'il n'y a pas besoin d'être inscrit pour consulter un blog.

## Utilisation

En tout premier lieu, rendez-vous sur [la page de connexion](https://write.tedomum.net/login).

Vous serez invité à vous connecter à votre compte [Hiboo](../../general/account/).

### Interface

Une fois connecté, vous aurez alors une page vous invitant à écrire :

{{< figure src="images/1.png" link="images/1.png" target="_blank">}}

En passant le curseur sur le bandeau du haut où sont déjà visibles certains boutons, d'autres apparaîtront. C'est avec ce bandeau que vous pourrez naviguer entre les différentes pages :

{{< figure src="images/2.png" link="images/2.png" target="_blank">}}

- Le bouton `1` permet d'aller à la page vous permettant de visualiser ou de personnaliser votre blog.
- Le bouton `2` est un menu déroulant :

{{< figure src="images/3.png" link="images/3.png" target="_blank" >}}

Les deux premières options permettent de choisir si vous voulez publier votre article ou si vous souhaitez le conserver en tant que brouillon. À noter que si vous souhaitez prévisualiser votre article avant de le publier, le choix du brouillon est recommandé.

L'option `View Blogs` a la même fonction que le bouton `1` décrit plus haut et l'option `View Drafts` fait la même chose que le bouton `6`.

Enfin, l'option `Log out` permet de se déconnecter de son compte.

- Le bouton `3` permet de choisir une autre police d'écriture.
- Le menu `4` permet de voir le nombre de mots contenus dans l'article en cours de rédaction.
- Le bouton `5` permet de passer l'éditeur en mode sombre :

{{< figure src="images/4.png" link="images/4.png" target="_blank">}}

- Le bouton `6` permet de voir les brouillons enregistrés.
- Le bouton `7` permet de publier l'article.

### Rédaction d'un article

#### Code à utiliser

Il est possible d'utiliser le code HTML ou le Markdown ou encore de faire un mix des deux, comme on peut le voir ci-dessous :

{{< figure src="images/5.png" link="images/5.png" target="_blank">}}

Ce qui donnera ceci :

{{< figure src="images/6.png" link="images/6.png" target="_blank">}}

Pour vous aider à mieux comprendre le langage Markdown, voici deux liens intéressants à consulter :

- <https://guides.write.as/writing/>
- <https://www.markdowntutorial.com/>

#### HashTag (ou Tag)

Il est possible d'utiliser des tags sur Write Freely. Pour cela, il suffit de mettre dans votre article # suivi du mot que vous souhaitez. Cela permettra de faire une liste de tous les articles ayant un sujet commun et de mieux référencer vos articles, notamment sous [Mastodon](../mastodon).

Exemple avec le tag [#toutcasser](https://write.tedomum.net/angedestenebres/tag:toutcasser) :

{{< figure src="images/7.png" link="images/7.png" target="_blank">}}

Qui remontera dans Mastodon, même si non visible dans le message :

{{< figure src="images/8.png" link="images/8.png" target="_blank" >}}

### Système de commentaires

À ce jour, bien que les articles soient visibles sur Mastodon, Pleroma ou autre et qu'il est possible d'écrire des commentaires depuis ces plateformes, ils ne seront malheureusement pas visibles sur Write Freely et l'auteur de l'article ne sera pas notifié si un message est laissé. Des discussions sur ce sujet sont disponibles [ici](https://discuss.write.as/t/commenting/188) et [ici](https://discuss.write.as/t/remark-as-privacy-first-portable-comments/25).

## Personnaliser la présentation de votre blog

Il est possible de personnaliser la présentation de votre blog (description, affichage des articles, etc.).

Pour cela, il faut vous rendre sur votre blog et sélectionner l'option `customize` :

{{< figure src="images/9-a.png" link="images/9-a.png" target="_blank">}}

Par ailleurs, tout en bas de la page, vous aurez la possibilité d'ajouter votre propre CSS :

{{< figure src="images/10.png" link="images/10.png" target="_blank">}}

À noter que vous pouvez [vous aider du guide](https://guides.write.as/customizing/#custom-css) pour le rédiger.

## Ajouter un moteur de recherche sur votre blog

Grâce à DuckDuckGo, il est possible d'ajouter un moteur de recherche sur un blog. Cela peut être pratique lorsque l'on commence à avoir pas mal de contenu. Pour cela, il suffit d'utiliser la [page suivante](https://duckduckgo.com/search_box) pour paramétrer celui-ci et insérer le code donné. Le résultat ressemblera alors à ceci :

{{< figure src="images/12.png" link="images/12.png" target="_blank">}}

## Statistiques de votre blog

Pour cela, il faut vous rendre sur votre blog et sélectionner l'option `stats` :

{{< figure src="images/9-a.png" link="images/9-a.png" target="_blank">}}

Vous aurez alors une page comme celle-ci :

{{< figure src="images/11.png" link="images/11.png" target="_blank">}}

## Liens utiles

- Documentation en anglais (merci RG) : <https://write.tedomum.net/rgx/write-freely-wiki-documentation>
- Documentation en espagnol (merci RG) : <https://write.tedomum.net/rgx/guia-de-usuarios-en-espanol-para-write-freely>

## Autres instances

Il existe d'autres instances Write Freely. Si vous ne trouvez pas votre bonheur chez nous, peut-être le trouverez-vous ailleurs ?

Une [liste d'instance est disponible](https://writefreely.org/instances) sur la page du projet WriteFreely.

À noter que vous en trouverez certainement d'autres du côté des [chatons](https://chatons.org/).
