---
title: Utiliser Docker
---

## Documentation générale

Docker est une technologie de conteneurisation, c'est à dire d'exécution d'application (nos services s'agissant de TeDomum) dans des environnements maîtrisés et isolés, qui facilite l'assemblage de plusieurs composants (application, base de données, etc.)

- [Docker for beginners](https://docker-curriculum.com/) est un tutoriel simple pour aborder Docker avec peu de connaissances initiales
- RedHat fournit une description de [ce qu'est un conteneur](https://www.redhat.com/fr/topics/containers/whats-a-linux-container) pour une compréhension basique
- [Play With Docker (PWD)](https://labs.play-with-docker.com/) est un terrain de jeu Docker qui permet aux utilisateurs d'exécuter des commandes Docker en quelques secondes. Il donne l'expérience d'avoir une machine virtuelle Alpine Linux gratuite dans le navigateur, où l'on peut créer et exécuter des conteneurs Docker et même créer des clusters en mode Docker Swarm.

## Intervenir sur les services (mise à jour par exemple)

Tous les services et les actions à effectuer sur `aegir` passent par le dossier `/srv`.

Dans le cadre d'une mise à jour, regardez auparavant si la mise à jour est disponible sur <https://hub.docker.com/>.

**À noter qu'avant de taper les commandes, vous devez vous assurer d'être dans le bon dossier.**

- ``docker-compose pull`` : télécharger la dernière mise à jour d'un service. À savoir que si le service est composé de plusieurs éléments – comme les blogs –, il est possible de ne mettre qu'un seul élément à jour, ex: ``docker-compose pull blogs`` ;
- ``docker-compose down`` : arrête un service et supprime les containers ;
- ``docker-compose up -d`` : crée et démarre les containers (à utiliser après un pull pour appliquer la dernière mise à jour) ;
- ``docker-compose restart`` : redémarre les services ;
- ``docker-compose start`` : démarre un service ;
- ``docker-compose stop`` : arrête un service ;
- ``docker-compose ps`` : liste les containers et leur statut ;
- `docker images | grep nomduservice` : permet de voir la dernière mise à jour du service.
