{
  inputs = {
    # nixpkgs.url = "github:NixOS/nixpkgs/nixpkgs-unstable";
    systems.url = "github:nix-systems/default";
  };

  outputs =
    { systems, nixpkgs, ... }@inputs:
    let
      eachSystem = f: nixpkgs.lib.genAttrs (import systems) (system: f nixpkgs.legacyPackages.${system});
    in
    {
      devShells = eachSystem
        (pkgs: {
          default = pkgs.mkShell
            {
              buildInputs = [
                pkgs.nodejs
                pkgs.hugo
                pkgs.npm-check-updates
                pkgs.nodePackages.typescript
                pkgs.nodePackages.typescript-language-server
              ];
            };
        });
    };
}
