---
title: Utiliser SSH
---

## Généralités

Afin de pouvoir maintenir les services à jour ou de les relancer en cas de souci, nous utilisons la connexion à distance aux serveurs via une authentification liée à une clé SSH.

## Création de sa clé ssh

En soi, n'importe quelle personne possédant un ordinateur peut créer une clé SSH.
Selon le système d'exploitation (OS), la procédure est différente.

### Sous Linux

Pour créer une clé, il suffit d'ouvrir un terminal et de taper la commande suivante :

`ssh-keygen -t rsa`

Cela créera alors un dossier `.ssh` (niveau de permissions 700) dans votre `home` contenant deux fichiers (niveau de permissions 600) :

{{< figure src="images/1.png" link="images/1.png" target="_blank">}}

- une clé publique (fichier .pub) ;
- une clé privée (sans extension).

Pour que l'on puisse vous donner accès aux serveurs, il faut nous transmettre la clé publique.

À noter que la clé est transportable et peut être utilisée sur différents ordinateur.  
**Ceci dit, pour des questions de sécurité, il est demandé à ce que les machines utilisées soient les vôtres et à jour.**

### Sous Windows

Pour les versions inférieures à Windows 10, il faut installer un logiciel pour cela. Vous trouverez ci-dessous un site web qui devrait pouvoir vous aider :

- <https://docs.ovh.com/fr/public-cloud/creation-des-cles-ssh/#sous-windows_1>
- <http://f4b1.com/securite/comment-creer-une-cle-ssh-publique-et-prive-sous-windows>

Sur Windows 10, il est possible d'utiliser le client natif, voir :

- <https://remiflandrois.fr/2017/12/19/client-ssh-sous-windows-10/>
- <http://www.kevinsubileau.fr/informatique/astuces-tutoriels/windows-10-client-serveur-ssh-natif.html>

## Connexion aux serveurs

### Sur linux

#### Prérequis

Avant tout, bien vérifier que les clés soient présentent dans `/home/.ssh/` sous les noms suivants :

- `id_rsa.pub` : pour la clé publique ;
- `id_rsa` : pour la clé privée.

Si elles n'y sont pas, il suffit de les y placer et de les renommer.

#### Accès aux serveurs

Après avoir vérifié les [prérequis](https://forge.tedomum.net/tedomum/doc-internal/wikis/cl%C3%A9-ssh-et-connexion-aux-serveurs#pr%C3%A9requis), ouvrir le terminal et taper la commande suivante :

`ssh root@servername.domain.com`

En cas de lenteur ou erreur, vous pouvez essayer la commande suivante :

`ssh -4 root@servername.domain.com`

### Sur Windows

Sur les versions antérieures à Windows 10, il vous faudra installer un logiciel tel que Putty ou BiteSSH.

Pour Windows 10, il est possible d'utiliser le client natif :

- <https://remiflandrois.fr/2017/12/19/client-ssh-sous-windows-10/>
- <http://www.kevinsubileau.fr/informatique/astuces-tutoriels/windows-10-client-serveur-ssh-natif.html>
